<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: 各プラグインで共通したスタイルシートやスクリプトといった要素を書き出すためのクラス。
Version: 2.4
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-12-04
Changelog: SHOW_POST_STATUS2を修正
2023-12-04 2.4 SHOW_POST_STATUS2を修正
2023-07-13 2.3 Reactを追加
2023-06-09 2.6 SHOW_AUTHOR関数を修正
2023-05-03 2.5 UIKit関数にレスポンシブに対応したマージンとパディングスタイルを追加
2023-02-07 2.4 フォーム表示関連の関数を修正
2023-02-01 2.3 Axiosを追加
2023-01-27 2.2 Vuetify3を追加
2023-01-18 2.1 SEMANTIC_UIをFormantic UIに変更
2023-01-18 2.0 htmlに背景色を追加
2022-03-26 1.9 Anime.jsを追加
2022-03-26 1.8 TailwindCSSをバージョン2にダウングレード(CDNは本番環境で使えないため)
2022-01-18 1.6 TailwindCSSをバージョン3にアップデート
2021-12-29 1.5 UIKitにテキストシャドウCSSを追加
2021-11-01 1.4 GET_CONTENTの一度だけ出力する判定を秒数でもするように修正
2021-10-30 1.3 TailwindCSSを追加
2021-08-03 1.2 ECHO_FORM_PARTとECHO_WIDGET_PART関数の置き書きできなかったプレースホルダを特定のものだけ削除するように修正
2021-07-05 1.1 Jquery Cookieを追加
2021-06-18 1.0 ECHO_CONTAINERを修正
2021-04-23 0.9 フレームワークUIKitを追加
2021-04-22 0.8 管理画面でメディアアップロードができるSHOW_UPLOAD_MEDIA関数を追加
2021-04-13 0.7 ECHO_FORM_PART関数のラジオボタンとセレクトボックスの初期値を修正
2021-04-09 0.6 ECHO_FORM_PART関数に$no_delオプション追加
2020-06-02 0.5 フォームとページフレーム系関数を追加
2020-01-30 0.4 Semantictic UIを分割では1ファイルに統合
2019-04-16 0.3 datTablesを追加
2019-04-11 0.2 Font Awesomeを追加
2019-04-09 0.1 初リリース
*/
 class mhs_Common_PrintOut {   function SHOW_UPLOAD_MEDIA( $input_name , $old_value , $class = null , $ph = null , $echo = 1 ) { $img_template = <<< EOM
			<img src="{{old_value}}" alt="選択中の画像">
			<p></p>

EOM;
 $template = <<< EOM
		<input name="{{input_name}}" type="text" value="{{old_value}}" class="{{class}}" placeholder="{{ph}}"><br>
		<input type="button" name="{{input_name}}_slect" value="選択" class="button">
		<input type="button" name="{{input_name}}_clear" value="クリア" class="button">
		<p></p>
		<div id="{{input_name}}_thumbnail" class="uploded-thumbnail">
{{IMG_TEMPLATE}}
		</div>

<style>
.uploded-thumbnail { max-width: 100%; }
</style>
<script>
jQuery( function( $ )
{
	var custom_uploader;

	$( 'input:button[name="{{input_name}}_slect"]' ).click( function( e )
	{
		e.preventDefault();

		if( custom_uploader ) { custom_uploader.open(); return; }

		custom_uploader = wp.media(
		{
			title	: "画像を選択してください" ,

			/* ライブラリの一覧は画像のみにする */
			library	: { type: "image" } ,

			button	: { text: "画像の選択" } ,

			/* 選択できる画像は 1 つだけにする */
			multiple: false
		});

		custom_uploader.on( 'select' , function()
		{
			var images = custom_uploader.state().get( 'selection' );

			/* file の中に選択された画像の各種情報が入っている */
			images.each( function( file )
			{
				/* テキストフォームと表示されたサムネイル画像があればクリア */
				$( 'input:text[name="{{input_name}}"]' ).val( '' );
				$( '#{{input_name}}_thumbnail' ).empty();

				/* テキストフォームに画像の URL を表示 */
				$( 'input:text[name="{{input_name}}"]' ).val( file.attributes.sizes.full.url );

				/* プレビュー用に選択されたサムネイル画像を表示 */
				$( '#{{input_name}}_thumbnail' ).append( '<img src="'+file.attributes.sizes.full.url+'">' );
			});
		});

		//メディアウインドウをオープン
		custom_uploader.open();
	});

	/* クリアボタンを押した時の処理 */
	$( 'input:button[name="{{input_name}}_clear"]' ).click( function()
	{
		$( 'input:text[name="{{input_name}}"]' ).val( '' );
		$( '#{{input_name}}_thumbnail' ).empty();
	});

});
</script>

EOM;
  if( $old_value ) {  $img_template = str_replace( '{{old_value}}' , $old_value , $img_template ); $template = str_replace( '{{IMG_TEMPLATE}}' , $img_template , $template ); }  $template = str_replace( '{{input_name}}' , $input_name , $template ); $template = str_replace( '{{old_value}}' , $old_value , $template ); $template = str_replace( '{{class}}' , $class , $template ); $template = str_replace( '{{ph}}' , $ph , $template );  $template = preg_replace( '/\{\{.*?\}\}/' , '' , $template );  if( $echo ) { echo $template; return; } return $template; }  function SHOW_FEED_STATUS( $name = 'feed_status' , $feed_status = '' , $label = 'フィードステータス' ) {  if( $feed_status == 1 or $feed_status == NULL ) { $feed_status_checked1 = 'checked="checked"'; } else { $feed_status_checked2 = 'checked="checked"'; } ?>

	<div class="field">
		<label><?php echo $label; ?></label>
		<div class="ui radio checkbox">
			<input type="radio" name="<?php echo $name; ?>" value="1" <?php echo $feed_status_checked1; ?>>
			<label>実行</label>
		</div>

		<div class="ui radio checkbox">
			<input type="radio" name="<?php echo $name; ?>" value="0" <?php echo $feed_status_checked2; ?>>
			<label>停止</label>
		</div>
	</div>
<?php
 }  function SHOW_FEED_STATUS2( $name = 'feed_status' , $feed_status = '' , $label = 'フィードステータス' ) {  if( $feed_status == 1 or $feed_status == NULL ) { $feed_status_checked1 = 'checked="checked"'; } else { $feed_status_checked2 = 'checked="checked"'; } ?>

		<label class="uk-form-label"><?php echo $label; ?></label>
        <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
            <label><input class="" type="radio" name="<?php echo $name; ?>" value="1" <?php echo $feed_status_checked1; ?>> 実行</label>
            <label><input class="" type="radio" name="<?php echo $name; ?>" value="0" <?php echo $feed_status_checked2; ?>> 停止</label>
        </div>
<?php
 }  function SHOW_POST_STATUS( $name='post_status' , $post_status , $label='投稿ステータス' , $H_param = array() ) {  if( $post_status == 'publish' ) { $post_status_label = '公開'; } else if( $post_status == 'draft' ) { $post_status_label = '下書き'; } else if( $post_status == 'private' ) { $post_status_label = '非公開'; } else if( $post_status == 'pending' ) { $post_status_label = '保留'; } else if( $post_status == 'trash' ) { $post_status_label = 'ゴミ箱'; } else if( $post_status == '' ) { $post_status_label = '選択して下さい'; } else { $post_status_label = $post_status; } if( is_array( $H_param ) ) extract( $H_param ); ?>
	<div class="field">
		<label><?php echo $label; ?></label>
		<select id="<?php echo $id; ?>" name="<?php echo $name; ?>">
			<option value="<?php echo $post_status; ?>"><?php echo $post_status_label; ?></option>
			<option value="publish">公開</option>
			<option value="draft">下書き</option>
			<option value="private">非公開</option>
			<option value="pending">保留</option>
			<option value="trash">ゴミ箱</option>
		</select>
	</div>
<?php
 }  function SHOW_POST_STATUS2( $name='post_status' , $post_status , $label='投稿ステータス' , $H_param = array() ) {  if( $post_status == 'publish' ) { $post_status_label = '公開'; } else if( $post_status == 'draft' ) { $post_status_label = '下書き'; } else if( $post_status == 'private' ) { $post_status_label = '非公開'; } else if( $post_status == 'pending' ) { $post_status_label = '保留'; } else if( $post_status == 'trash' ) { $post_status_label = 'ゴミ箱'; } else if( $post_status == '' ) { $post_status_label = '選択して下さい'; } else { $post_status_label = $post_status; } if( is_array( $H_param ) ) extract( $H_param ); ?>
		<div class="uk-margin">
			<label class="uk-form-label"><?php echo $label; ?></label>
			<select id="<?php echo $id; ?>" class="uk-select" name="<?php echo $name; ?>">
				<option value="<?php echo $post_status; ?>"><?php echo $post_status_label; ?></option>
				<option value="publish">公開</option>
				<option value="draft">下書き</option>
				<option value="private">非公開</option>
				<option value="pending">保留</option>
				<option value="trash">ゴミ箱</option>
			</select>
		</div>
<?php
 }  function SHOW_POST_TYPE( $name = 'post_types' , $post_types = 'post' , $label="投稿タイプ" , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  if(! $O_post_types ) { return; }  if( $post_types ) $A_checked = explode( ',' , $post_types );  if( current_user_can( 'demouser' ) ) { $demo_flag = true; }  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $select_box = '<select id="' . $id . '"' . ' size="1" name="' . $name . '">' . $filed . "</select>\n"; ?>
	<div class="field">
		<label><?php echo $label; ?></label>

<?php echo $select_box; ?>

	</div>
<?php
 }  function SHOW_POST_TYPE2( $name = 'post_types' , $post_types = 'post' , $label="投稿タイプ" , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  if(! $O_post_types ) { return; }  if( $post_types ) $A_checked = explode( ',' , $post_types );  if( current_user_can( 'demouser' ) ) { $demo_flag = true; }  foreach( $O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) { continue; }  $post_type_name = $O_post_type->label;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $post_type , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $post_type . '"' . $check_mark . '>' . $post_type_name . "</option>\n"; }  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $select_box = '<select id="' . $id . '"' . ' class="uk-select" size="1" name="' . $name . '">' . $filed . "</select>\n"; ?>
	<div class="uk-margin">
		<label class="uk-form-label"><?php echo $label; ?></label>

<?php echo $select_box; ?>

	</div>
<?php
 }  function SHOW_AUTHOR( $name='post_author' , $author=null , $authority = "administrator,author" , $label='投稿者' , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );   $A_uid_all = get_users();  if( $authority ) {  $authority = strtolower( $authority );  $A_authority = explode( ',' , $authority ); }  if( $author ) $A_checked = explode( ',' , $author );  foreach( (array)$A_uid_all as $O_user ) {  $caps = strtolower( key( $O_user->caps ) );  if( $A_authority and in_array( $caps , $A_authority ) ) {  $uid = "uid-" . $O_user->ID;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $O_user->ID , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $O_user->ID . '"' . $check_mark . '>' . $O_user->display_name . '( ' . $O_user->user_nicename. " )</option>\n"; } } $size = 1;  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $select_box = '<select id="' . $id . '"' . $multiple . ' size="' . $size . '" name="' . $name . '">' . $filed . "</select>\n"; ?>
	<div class="field">
		<label><?php echo $label; ?></label>

<?php echo $select_box; ?>

	</div>
<?php
 }  function SHOW_AUTHOR2( $name='post_author' , $author=null , $authority = "administrator,author" , $label='投稿者' , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );   $A_uid_all = get_users();  if( $authority ) {  $authority = strtolower( $authority );  $A_authority = explode( ',' , $authority ); }  if( $author ) $A_checked = explode( ',' , $author );  foreach( (array)$A_uid_all as $O_user ) {  $caps = strtolower( key( $O_user->caps ) );  if( $A_authority and in_array( $caps , $A_authority ) ) {  $uid = "uid-" . $O_user->ID;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $O_user->ID , $A_checked ) ) { $check_mark = " selected"; } $filed .= '<option value="' . $O_user->ID . '"' . $check_mark . '>' . $O_user->display_name . '( ' . $O_user->user_nicename. " )</option>\n"; } } $size = 1;  $filed = "\n" . '<option value="">選択して下さい</option>' . "\n" . $filed;  $select_box = '<select id="' . $id . '"' . $multiple . ' size="' . $size . '" class="uk-select" name="' . $name . '">' . $filed . "</select>\n"; ?>
	<div class="uk-margin">
		<label class="uk-form-label"><?php echo $label; ?></label>

<?php echo $select_box; ?>

	</div>
<?php
 }  function SHOW_CATEGORY( $name = 'post_category[]' , $checked = null , $label = '投稿カテゴリ' , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );  if( $checked ) { if(! is_array( $checked ) ) {  $A_checked = explode( ',' , $checked ); } else { $A_checked = $checked; } }  $A_cat_all = get_terms( "category" , "fields=all&get=all" ); $i = 1;  foreach( (array)$A_cat_all as $cat ) {  if( $i % 2 == 0 ) { $return_mark1 = "\n<td>\n"; $return_mark2 = "\n</td>\n"; } else { $return_mark1 = "\n<tr>\n<td>\n"; $return_mark2 = "\n</td>\n"; }  $id = "cat-" . $cat->term_id;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $cat->term_id , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked"; } $check_box .= $return_mark1;  $check_box .= '<label for="' . $name . '">' . '<input type="checkbox" name="' . $name . '" value="' . $cat->term_id . '" id="' . $id . '"' . $check_mark . ' />' . $cat->name . '</label>'; $check_box .= $return_mark2;  if( $i % 2 == 0 ) { $check_box .= "\n</tr>\n"; } $i++; }  if( ($i - 1) % 2 != 0 ) { $check_box .= "<td>\n</td>\n</tr>"; }  $check_box = '<tr><td colspan="2"><input type="checkbox" name="[menu_name][[exp]][]" value="__none">チェックを外す</td></tr>' . "\n" . $check_box; $check_box = "\n<table>" . $check_box . "</table>\n"; $check_box = '<div class="category-list">' . $check_box . '</div>'; ?>
	<div class="field">
		<label><?php echo $label; ?></label>

<?php echo $check_box; ?>

	</div>
<?php
 }  function SHOW_CATEGORY2( $name = 'post_category[]' , $checked = null , $label = '投稿カテゴリ' , $H_param = array() ) {  if( is_array( $H_param ) ) extract( $H_param );  if( $checked ) { if(! is_array( $checked ) ) {  $A_checked = explode( ',' , $checked ); } else { $A_checked = $checked; } }  $A_cat_all = get_terms( "category" , "fields=all&get=all" ); $i = 1;  foreach( (array)$A_cat_all as $cat ) {  if( $i % 2 == 0 ) { $return_mark1 = "\n<td>\n"; $return_mark2 = "\n</td>\n"; } else { $return_mark1 = "\n<tr>\n<td>\n"; $return_mark2 = "\n</td>\n"; }  $id = "cat-" . $cat->term_id;  $check_mark = "";  if( is_array( $A_checked ) and in_array( $cat->term_id , $A_checked ) and ! in_array( '__none' , $A_checked ) ) { $check_mark = " checked"; } $check_box .= $return_mark1;  $check_box .= '<label for="' . $name . '">' . '<input type="checkbox" class="uk-checkbox" name="' . $name . '" value="' . $cat->term_id . '" id="' . $id . '"' . $check_mark . ' />' . $cat->name . '</label>'; $check_box .= $return_mark2;  if( $i % 2 == 0 ) { $check_box .= "\n</tr>\n"; } $i++; }  if( ($i - 1) % 2 != 0 ) { $check_box .= "<td>\n</td>\n</tr>"; }  $check_box = '<tr><td colspan="2"><input type="checkbox" class="uk-checkbox" name="[menu_name][[exp]][]" value="__none">チェックを外す</td></tr>' . "\n" . $check_box; $check_box = "\n<table>" . $check_box . "</table>\n"; $check_box = '<div class="category-list">' . $check_box . '</div>'; ?>
	<div class="uk-margin">
		<label class="uk-form-label"><?php echo $label; ?></label>

<?php echo $check_box; ?>

	</div>
<?php
 }  function SHOW_INTERVAL( $name='feed_interval' , $interval=0 , $label = '更新間隔' ) { ?>

	<div class="field">
		<label><?php echo $label; ?></label>
		<select size="1" name="<?php echo $name; ?>" class="ui fluid">

<?php
 if( $interval ) {  if( $interval > 60 and $interval <= 3600 ) { $feed_interval_lavel = round( $interval / 60 ) . "分毎"; }  else if( $interval > 3600 ) { $feed_interval_lavel = round( $interval / 60 / 60 ) . "時間毎"; }  else { $feed_interval_lavel = $interval . "秒毎"; } } else { $feed_interval_lavel = '選択して下さい'; } ?>
			<option value="<?php echo $interval; ?>"><?php echo $feed_interval_lavel; ?></option>
			<option value="300">5分毎</option>
			<option value="600">10分毎</option>
			<option value="900">15分毎</option>
			<option value="1800">30分毎</option>
			<option value="3600">1時間毎</option>
			<option value="7200">2時間毎</option>
			<option value="10800">3時間毎</option>
			<option value="21600">6時間毎</option>
			<option value="43200">12時間毎</option>
			<option value="86400">24時間毎</option>
			<option value="172800">2日おき</option>
			<option value="259200">3日おき</option>
			<option value="345600">4日おき</option>
			<option value="432000">5日おき</option>
			<option value="518400">6日おき</option>
			<option value="604800">7日おき</option>
			<option value="864000">10日おき</option>
			<option value="1209600">14日おき</option>
			<option value="2592000">30日おき</option>
		</select>
	</div>
<?php
 }  function SHOW_INTERVAL2( $name='feed_interval' , $interval=0 , $label = '更新間隔' ) { ?>

	<div class="uk-margin">
		<label class="uk-form-label"><?php echo $label; ?></label>
		<select size="1" name="<?php echo $name; ?>" class="uk-select">

<?php
 if( $interval ) {  if( $interval > 60 and $interval <= 3600 ) { $feed_interval_lavel = round( $interval / 60 ) . "分毎"; }  else if( $interval > 3600 ) { $feed_interval_lavel = round( $interval / 60 / 60 ) . "時間毎"; }  else { $feed_interval_lavel = $interval . "秒毎"; } } else { $feed_interval_lavel = '選択して下さい'; } ?>
			<option value="<?php echo $interval; ?>"><?php echo $feed_interval_lavel; ?></option>
			<option value="300">5分毎</option>
			<option value="600">10分毎</option>
			<option value="900">15分毎</option>
			<option value="1800">30分毎</option>
			<option value="3600">1時間毎</option>
			<option value="7200">2時間毎</option>
			<option value="10800">3時間毎</option>
			<option value="21600">6時間毎</option>
			<option value="43200">12時間毎</option>
			<option value="86400">24時間毎</option>
			<option value="172800">2日おき</option>
			<option value="259200">3日おき</option>
			<option value="345600">4日おき</option>
			<option value="432000">5日おき</option>
			<option value="518400">6日おき</option>
			<option value="604800">7日おき</option>
			<option value="864000">10日おき</option>
			<option value="1209600">14日おき</option>
			<option value="2592000">30日おき</option>
		</select>
	</div>
<?php
 }  function SET_SPECIAL_MODE( $mode , $H_data , $demo_flag ) {   if( $mode == 'post_type' ) {  $O_post_types = get_post_types( array( 'public' => true ) , 'objects' );  foreach( (array)$O_post_types as $post_type => $O_post_type ) {  if( $demo_flag and ( $post_type != 'post' ) ) continue;  if( $post_type == 'attachment' ) continue;  $post_type_name = $O_post_type->label;  $H_data[ $post_type ] = $post_type_name; } }  else if( $mode == 'category' ) {  $A_cat_all = get_terms( 'category' , 'fields=all&get=all' );  foreach( (array)$A_cat_all as $O_cat ) {  $H_data[ $O_cat->term_id ] = $O_cat->name; } }  else if( $mode == 'taxonomy' ) {  $A_tax_all = get_terms( $H_data[ 'TAXONOMY' ] , 'fields=all&get=all' );  foreach( (array)$A_tax_all as $O_tax ) {  $H_data[ $O_tax->term_id ] = $O_tax->name; } } return $H_data; }  function WP_ALERT( $H_array = array() , $echo = 1 ) {  $message_template = <<< EOM
<div class="{{type}}">
	<p {{class}} {{other}}>{{message}}</p>
</div>

EOM;
  if( is_array( $H_array ) ) extract( $H_array ); foreach( (array)$H_array as $k => $v ) {  $message_template = str_replace( '{{' . $k . '}}' , $v , $message_template ); } $html = $message_template;  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_ACCORDION( $type='head' , $H_array = array() , $echo = 1 ) {  $accordion_template = <<< EOM
	<div class="ui {{styled}} {{fluid}} {{accordion}} {{other}}">
		<div class="title"><i class="dropdown icon"></i>{{title}}</div>
		<div class="content">

EOM;
 $end_template = <<< EOM
		</div>
	</div>

EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'head' or ! $type ) { foreach( (array)$H_array as $k => $v ) {  $accordion_template = str_replace( '{{' . $k . '}}' , $v , $accordion_template ); } $html = $accordion_template; }  else if( $type == 'foot' or $type == 'end' ) { foreach( (array)$H_array as $k => $v ) {  $end_template = str_replace( '{{' . $k . '}}' , $v , $end_template ); } $html = $end_template; }  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_ACCORDION2( $type='head' , $H_array = array() , $echo = 1 ) {   $accordion_template = <<< EOM
<ul uk-accordion class="{{other}}">
	<li class="{{uk-open}}">
		<a class="uk-accordion-title uk-link-muted" href="#" uk-toggle="target: > .mhs-acd-toggle">
		<span uk-icon="icon: triangle-right" class="uk-icon mhs-acd-toggle"></span>
		<span uk-icon="icon: triangle-down" class="uk-icon mhs-acd-toggle" hidden></span> 
		{{title}}
		</a>
		<div class="uk-accordion-content">

EOM;
 $end_template = <<< EOM
		</div>
	</li>
</ul>

EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'head' or ! $type ) { foreach( (array)$H_array as $k => $v ) {  $accordion_template = str_replace( '{{' . $k . '}}' , $v , $accordion_template ); } $html = $accordion_template; }  else if( $type == 'foot' or $type == 'end' ) { foreach( (array)$H_array as $k => $v ) {  $end_template = str_replace( '{{' . $k . '}}' , $v , $end_template ); } $html = $end_template; }  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_MESSAGE( $H_array = array() , $echo = 1 ) {  $message_template = <<< EOM
		<div class="ui {{type}} message {{other}}">
			<div class="header {{header_style}}">{{title}}</div>
			{{content}}
		</div>

EOM;
  if( is_array( $H_array ) ) extract( $H_array ); foreach( (array)$H_array as $k => $v ) {  $message_template = str_replace( '{{' . $k . '}}' , $v , $message_template ); } $html = $message_template;  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_CONTAINER( $type='head' , $H_array = array() , $echo = 1 ) {  $container_template = <<< EOM
<div class="ui {{raised}} {{padded}} {{text}} {{container}} {{segment}} {{other}}">
	<h2 class="ui header page-title">{{page_title}}</h2>

EOM;
 $container_template2 = <<< EOM
<div class="ui {{raised}} {{padded}} {{text}} {{container}} {{segment}} {{other}}">

EOM;
 $end_template = <<< EOM
</div>

EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'head' ) { foreach( (array)$H_array as $k => $v ) {  $container_template = str_replace( '{{' . $k . '}}' , $v , $container_template ); } $html = $container_template; }  else if( ! $type ) { foreach( (array)$H_array as $k => $v ) {  $container_template2 = str_replace( '{{' . $k . '}}' , $v , $container_template2 ); } $html = $container_template2; }  else if( $type == 'foot' or $type == 'end' ) { foreach( (array)$H_array as $k => $v ) {  $end_template = str_replace( '{{' . $k . '}}' , $v , $end_template ); } $html = $end_template; }  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_CONTAINER2( $type='head' , $H_array = array() , $echo = 1 ) {  $container_template = <<< EOM
<div class="uk-container {{container_size}}">
	<div class="uk-card uk-card-default uk-card-body" style="border-radius: .5em;">
		<h2 class="uk-card-title">{{page_title}}</h2>

EOM;
 $container_template2 = <<< EOM
<div class="uk-container {{container_size}}">
	<div class="uk-card uk-card-default uk-card-body" style="border-radius: .5em;">

EOM;
 $end_template = <<< EOM
	</div>
</div>

EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'head' ) { foreach( (array)$H_array as $k => $v ) {  $container_template = str_replace( '{{' . $k . '}}' , $v , $container_template ); } $html = $container_template; }  else if( ! $type ) { foreach( (array)$H_array as $k => $v ) {  $container_template2 = str_replace( '{{' . $k . '}}' , $v , $container_template2 ); } $html = $container_template2; }  else if( $type == 'foot' or $type == 'end' ) { foreach( (array)$H_array as $k => $v ) {  $end_template = str_replace( '{{' . $k . '}}' , $v , $end_template ); } $html = $end_template; }  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html );  if( $echo ) { echo $html; }  else { return $html; } }  function ECHO_FORM_PART( $type='text' , $H_array=[] , $H_data=null , $echo=1 ) {  $no_del = null;  $text_template = <<< EOM
		<div class="field {{required}}">
			<label>{{label}}</label>
			<input type="text" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			{{note}}
		</div>


EOM;
 $number_template = <<< EOM
		<div class="field {{required}}">
			<label>{{label}}</label>
			<input type="number" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			{{note}}
		</div>


EOM;
 $ta_template = <<< EOM
		<div class="field {{required}}">
			<label>{{label}}</label>
			<textarea name="{{name}}" placeholder="{{ph}}" {{other}}>{{value}}</textarea>
			{{note}}
		</div>


EOM;
 $date_template = <<< EOM
		<div class="field {{required}}">
			<label>{{label}}</label>
			<input type="date" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			{{note}}
		</div>


EOM;
 $selectbox_template = <<< EOM
		<div class="field {{required}}">
			<label>{{label}}</label>
			<select name="{{name}}" {{other}}>
{{OPTION}}
			</select>
			{{note}}
		</div>


EOM;
 $opt_template = <<< EOM
				<option value="{{key}}" {{active}}>{{val}}</option>


EOM;
 $radio_template = <<< EOM
		<div class="grouped fields {{required}}">
			<label for="{{name}}">{{label}}</label>
{{RADIO}}
		</div>


EOM;
 $radio_inner_template = <<< EOM
			<div class="field">
				<div class="ui radio checkbox">
					<input type="radio" name="{{name}}" value="{{key}}" {{active}} tabindex="0" class="hidden">
					<label>{{val}}</label>
				</div>
			</div>


EOM;
 $check_template = <<< EOM
		<div class="grouped fields {{required}}">
			<label for="{{name}}">{{label}}</label>
{{CHECK}}
		</div>


EOM;
 $check_inner_template = <<< EOM
			<div class="field">
				<div class="ui checkbox">
					<input type="checkbox" name="{{name}}" value="{{value}}" {{active}} tabindex="0" class="hidden">
					<label>{{label}}</label>
				</div>
			</div>


EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'text' or ! $type ) { foreach( (array)$H_array as $k => $v ) {  $text_template = str_replace( '{{' . $k . '}}' , $v , $text_template ); } $parts_html = $text_template; }  if( $type == 'number' or $type == 'nb' ) { foreach( (array)$H_array as $k => $v ) {  $number_template = str_replace( '{{' . $k . '}}' , $v , $number_template ); } $parts_html = $number_template; }  else if( $type == 'textarea' or $type == 'ta' ) { foreach( (array)$H_array as $k => $v ) {  $ta_template = str_replace( '{{' . $k . '}}' , $v , $ta_template ); } $parts_html = $ta_template; }  else if( $type == 'date' ) { foreach( (array)$H_array as $k => $v ) {  $date_template = str_replace( '{{' . $k . '}}' , $v , $date_template ); } $parts_html = $date_template; }  else if( $type == 'selectbox' or $type == 'sb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_opt = array(); foreach( (array)$H_data as $key => $val ) { $opt_template_ = $opt_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' selected '; $ac_flag = true; } else { $active = ''; }  $opt_template_ = str_replace( '{{key}}' , $key , $opt_template_ ); $opt_template_ = str_replace( '{{val}}' , $val , $opt_template_ ); $opt_template_ = str_replace( '{{active}}' , $active , $opt_template_ ); $A_opt[] = $opt_template_; }  $opt_template = str_replace( '{{key}}' , $DEFAULT , $opt_template ); $opt_template = str_replace( '{{val}}' , $DEFAULT_TXT , $opt_template );  array_unshift( $A_opt , $opt_template );  $parts_html = str_replace( '{{OPTION}}' , implode( '' , $A_opt ) , $selectbox_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'radio' or $type == 'rb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_radio = array(); foreach( (array)$H_data as $key => $val ) { $radio_inner_template_ = $radio_inner_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  $radio_inner_template_ = str_replace( '{{key}}' , $key , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{val}}' , $val , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{active}}' , $active , $radio_inner_template_ ); $A_radio[] = $radio_inner_template_; }  $parts_html = str_replace( '{{RADIO}}' , implode( '' , $A_radio ) , $radio_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'check' or $type == 'cb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_check = array(); foreach( (array)$H_data as $key => $val ) { $check_inner_template_ = $check_inner_template;  if( ( isset( $SELECTED[ $key ] ) and $SELECTED[ $key ] ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  if( is_array( $val ) ) { foreach( (array)$val as $key2 => $val2 ) {  $check_inner_template_ = str_replace( '{{' . $key2 . '}}' , $val2 , $check_inner_template_ ); } }  $check_inner_template_ = str_replace( '{{name}}' , $key , $check_inner_template_ ); $check_inner_template_ = str_replace( '{{active}}' , $active , $check_inner_template_ ); $A_check[] = $check_inner_template_; }  $parts_html = str_replace( '{{CHECK}}' , implode( '' , $A_check ) , $check_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } } $A_del_ph = array ( '{{label}}' , '{{name}}' , '{{value}}' , '{{required}}' , '{{ph}}' , '{{other}}' , '{{active}}' , '{{note}}' , '{{key}}' , '{{val}}' , '{{RADIO}}' , '{{CHECK}}' , '{{OPTION}}' , );   if(! $no_del ) $parts_html = str_replace( $A_del_ph , '' , $parts_html );  $parts_html = str_replace( '{{note}}' , '' , $parts_html );  if( $echo ) { echo $parts_html; }  else { return $parts_html; } }  function ECHO_FORM_PART2( $type='text' , $H_array=[] , $H_data=null , $echo=1 ) {  $no_del = null;  $require_template = <<< EOM
<span class="uk-text-danger"> *</span>

EOM;
 $text_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<div class="uk-form-controls">
				<input class="uk-input"  type="text" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			</div>
		</div>

EOM;
 $number_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<div class="uk-form-controls">
				<input class="uk-input"  type="number" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			</div>
		</div>

EOM;
 $ta_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<textarea class="uk-textarea" rows="5" name="{{name}}" placeholder="{{ph}}" {{other}} aria-label="Textarea">{{value}}</textarea>
			{{note}}
		</div>

EOM;
 $date_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<div class="uk-form-controls">
				<input class="uk-input"  type="date" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{other}}>
			</div>
		</div>

EOM;
 $selectbox_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<select class="uk-select" name="{{name}}" aria-label="Select">
{{OPTION}}
			</select>
			{{note}}
		</div>

EOM;
 $opt_template = <<< EOM
				<option value="{{key}}" {{active}}>{{val}}</option>


EOM;
 $radio_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
{{RADIO}}
			</div>
		</div>

EOM;
 $radio_inner_template = <<< EOM
			<label><input class="" type="radio" name="{{name}}" value="{{key}}" {{active}}> {{val}}</label>

EOM;
 $check_template = <<< EOM
		<div class="uk-margin">
			<label class="uk-form-label">{{label}} {{required}}</label>
			<div class="uk-margin uk-grid-small uk-child-width-auto uk-grid">
{{CHECK}}
			</div>
		</div>

EOM;
 $check_inner_template = <<< EOM
			<label><input class="uk-checkbox" type="checkbox" name="{{name}}" value="{{value}}" {{active}}> {{label}}</label>

EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'text' or ! $type ) {  if( $required ) $text_template = str_replace( '{{required}}' , $require_template , $text_template ); foreach( (array)$H_array as $k => $v ) {  $text_template = str_replace( '{{' . $k . '}}' , $v , $text_template ); } $parts_html = $text_template; }  if( $type == 'number' or $type == 'nb' ) {  if( $required ) $number_template = str_replace( '{{required}}' , $require_template , $number_template ); foreach( (array)$H_array as $k => $v ) {  $number_template = str_replace( '{{' . $k . '}}' , $v , $number_template ); } $parts_html = $number_template; }  else if( $type == 'textarea' or $type == 'ta' ) {  if( $required ) $ta_template = str_replace( '{{required}}' , $require_template , $ta_template ); foreach( (array)$H_array as $k => $v ) {  $ta_template = str_replace( '{{' . $k . '}}' , $v , $ta_template ); } $parts_html = $ta_template; }  else if( $type == 'date' ) {  if( $required ) $date_template = str_replace( '{{required}}' , $require_template , $date_template ); foreach( (array)$H_array as $k => $v ) {  $date_template = str_replace( '{{' . $k . '}}' , $v , $date_template ); } $parts_html = $date_template; }  else if( $type == 'selectbox' or $type == 'sb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_opt = array(); foreach( (array)$H_data as $key => $val ) { $opt_template_ = $opt_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' selected '; $ac_flag = true; } else { $active = ''; }  $opt_template_ = str_replace( '{{key}}' , $key , $opt_template_ ); $opt_template_ = str_replace( '{{val}}' , $val , $opt_template_ ); $opt_template_ = str_replace( '{{active}}' , $active , $opt_template_ ); $A_opt[] = $opt_template_; }  $opt_template = str_replace( '{{key}}' , $DEFAULT , $opt_template ); $opt_template = str_replace( '{{val}}' , $DEFAULT_TXT , $opt_template );  array_unshift( $A_opt , $opt_template );  $parts_html = str_replace( '{{OPTION}}' , implode( '' , $A_opt ) , $selectbox_template );  if( $required ) $parts_html = str_replace( '{{required}}' , $require_template , $parts_html ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'radio' or $type == 'rb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_radio = array(); foreach( (array)$H_data as $key => $val ) { $radio_inner_template_ = $radio_inner_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  $radio_inner_template_ = str_replace( '{{key}}' , $key , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{val}}' , $val , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{active}}' , $active , $radio_inner_template_ ); $A_radio[] = $radio_inner_template_; }  $parts_html = str_replace( '{{RADIO}}' , implode( '' , $A_radio ) , $radio_template );  if( $required ) $parts_html = str_replace( '{{required}}' , $require_template , $parts_html ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'check' or $type == 'cb' ) {  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); $ac_flag = null; $A_check = array(); foreach( (array)$H_data as $key => $val ) { $check_inner_template_ = $check_inner_template;  if( ( isset( $SELECTED[ $key ] ) and $SELECTED[ $key ] ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  if( is_array( $val ) ) { foreach( (array)$val as $key2 => $val2 ) {  $check_inner_template_ = str_replace( '{{' . $key2 . '}}' , $val2 , $check_inner_template_ ); } }  $check_inner_template_ = str_replace( '{{name}}' , $key , $check_inner_template_ ); $check_inner_template_ = str_replace( '{{active}}' , $active , $check_inner_template_ ); $A_check[] = $check_inner_template_; }  $parts_html = str_replace( '{{CHECK}}' , implode( '' , $A_check ) , $check_template );  if( $required ) $parts_html = str_replace( '{{required}}' , $require_template , $parts_html ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } } $A_del_ph = array ( '{{label}}' , '{{name}}' , '{{value}}' , '{{required}}' , '{{ph}}' , '{{other}}' , '{{active}}' , '{{note}}' , '{{key}}' , '{{val}}' , '{{RADIO}}' , '{{CHECK}}' , '{{OPTION}}' , );   if(! $no_del ) $parts_html = str_replace( $A_del_ph , '' , $parts_html );  $parts_html = str_replace( '{{note}}' , '' , $parts_html );  if( $echo ) { echo $parts_html; }  else { return $parts_html; } }  function ECHO_WIDGET_PART( $type='text' , $H_array=[] , $H_data=null , $mode=null , $echo=1 ) {  $no_del = null;   if( current_user_can( 'demouser' ) ) $demo_flag = true; $text_template = <<< EOM
		<p>
			<label for="{{id}}">{{label}}:</label>
			<input type="text" id="{{id}}" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{required}} {{other}}>
			{{note}}
		</p>


EOM;
 $number_template = <<< EOM
		<p>
			<label for="{{id}}">{{label}}:</label>
			<input type="number" id="{{id}}" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{required}} {{other}}>
			{{note}}
		</p>


EOM;
 $ta_template = <<< EOM
		<p>
			<label>{{label}}:</label>
			<textarea name="{{name}}" placeholder="{{ph}}" {{required}} {{other}}>{{value}}</textarea>
			{{note}}
		</p>


EOM;
 $hd_template = <<< EOM
		<input type="hidden" name="{{name}}" value="{{value}}" {{required}} {{other}}>


EOM;
 $md_template = <<< EOM
		<p>
			<label>{{label}}:</label>
			{{media}}
			{{note}}
		</p>


EOM;
 $date_template = <<< EOM
		<p>
			<label>{{label}}:</label>
			<input type="date" name="{{name}}" value="{{value}}" placeholder="{{ph}}" {{required}} {{other}}>
			{{note}}
		</p>


EOM;
 $selectbox_template = <<< EOM
		<p>
			<label>{{label}}:</label>
			<select name="{{name}}" {{other}}>
{{OPTION}}
			</select>
			{{note}}
		</p>


EOM;
 $opt_template = <<< EOM
				<option value="{{key}}" {{active}}>{{val}}</option>


EOM;
 $radio_template = <<< EOM
		<p>
			<label for="{{name}}">{{label}}:</label><br>
{{RADIO}}
		</p>


EOM;
 $radio_inner_template = <<< EOM
			<input type="radio" name="{{name}}" value="{{key}}" {{active}}><label>{{val}}</label><br>


EOM;
 $check_template = <<< EOM
		<p>
			<label for="{{name}}">{{label}}:</label><br>
{{CHECK}}
		</p>


EOM;
 $check_inner_template = <<< EOM
			<input type="checkbox" name="{{name}}" value="{{value}}" {{active}}><label>{{label}}</label><br>


EOM;
  if( is_array( $H_array ) ) extract( $H_array );  if( $type == 'text' or $type == 'tb' or ! $type ) { foreach( (array)$H_array as $k => $v ) {  $text_template = str_replace( '{{' . $k . '}}' , $v , $text_template ); } $parts_html = $text_template; }  if( $type == 'number' or $type == 'nb' ) { foreach( (array)$H_array as $k => $v ) {  $number_template = str_replace( '{{' . $k . '}}' , $v , $number_template ); } $parts_html = $number_template; }  else if( $type == 'textarea' or $type == 'ta' ) { foreach( (array)$H_array as $k => $v ) {  $ta_template = str_replace( '{{' . $k . '}}' , $v , $ta_template ); } $parts_html = $ta_template; }  else if( $type == 'hidden' or $type == 'hd' ) { foreach( (array)$H_array as $k => $v ) {  $hd_template = str_replace( '{{' . $k . '}}' , $v , $hd_template ); } $parts_html = $hd_template; }  else if( $type == 'media' or $type == 'md' ) {  $media = $this->SHOW_UPLOAD_MEDIA( $H_array[ 'name' ] , $H_array[ 'value' ] , 0 );  $md_template = str_replace( '{{media}}' , $media , $md_template ); foreach( (array)$H_array as $k => $v ) {  $md_template = str_replace( '{{' . $k . '}}' , $v , $md_template ); } $parts_html = $md_template; }  else if( $type == 'date' ) { foreach( (array)$H_array as $k => $v ) {  $date_template = str_replace( '{{' . $k . '}}' , $v , $date_template ); } $parts_html = $date_template; }  else if( $type == 'selectbox' or $type == 'sb' ) {  $H_data = $this->SET_SPECIAL_MODE( $mode , $H_data , $demo_flag );  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); unset( $H_data[ 'TAXONOMY' ] ); $ac_flag = null; $A_opt = array(); foreach( (array)$H_data as $key => $val ) { $opt_template_ = $opt_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' selected '; $ac_flag = true; } else { $active = ''; }  $opt_template_ = str_replace( '{{key}}' , $key , $opt_template_ ); $opt_template_ = str_replace( '{{val}}' , $val , $opt_template_ ); $opt_template_ = str_replace( '{{active}}' , $active , $opt_template_ ); $A_opt[] = $opt_template_; }  $opt_template = str_replace( '{{key}}' , $DEFAULT , $opt_template ); $opt_template = str_replace( '{{val}}' , $DEFAULT_TXT , $opt_template );  array_unshift( $A_opt , $opt_template );  $parts_html = str_replace( '{{OPTION}}' , implode( '' , $A_opt ) , $selectbox_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'radio' or $type == 'rb' ) {  $H_data = $this->SET_SPECIAL_MODE( $mode , $H_data , $demo_flag );  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); unset( $H_data[ 'TAXONOMY' ] ); $ac_flag = null; $A_radio = array(); foreach( (array)$H_data as $key => $val ) { $radio_inner_template_ = $radio_inner_template;  if ( ( $SELECTED != '' and $SELECTED == $key ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  $radio_inner_template_ = str_replace( '{{key}}' , $key , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{val}}' , $val , $radio_inner_template_ ); $radio_inner_template_ = str_replace( '{{active}}' , $active , $radio_inner_template_ ); $A_radio[] = $radio_inner_template_; }  $parts_html = str_replace( '{{RADIO}}' , implode( '' , $A_radio ) , $radio_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } }  else if( $type == 'check' or $type == 'cb' ) {  $H_data = $this->SET_SPECIAL_MODE( $mode , $H_data , $demo_flag );  $SELECTED = $H_data[ 'SELECTED' ];  $DEFAULT = $H_data[ 'DEFAULT' ];  $DEFAULT_TXT = isset( $H_data[ 'DEFAULT_TXT' ] ) ? $H_data[ 'DEFAULT_TXT' ] : '選択して下さい';  unset( $H_data[ 'SELECTED' ] ); unset( $H_data[ 'DEFAULT' ] ); unset( $H_data[ 'DEFAULT_TXT' ] ); unset( $H_data[ 'TAXONOMY' ] ); $ac_flag = null; $A_check = array(); foreach( (array)$H_data as $key => $val ) { $check_inner_template_ = $check_inner_template;  if( ( isset( $SELECTED[ $key ] ) and $SELECTED[ $key ] ) or (! $ac_flag and $DEFAULT == $key ) ) { $active = ' checked '; $ac_flag = true; } else { $active = ''; }  if( is_array( $val ) ) { foreach( (array)$val as $key2 => $val2 ) {  $check_inner_template_ = str_replace( '{{' . $key2 . '}}' , $val2 , $check_inner_template_ ); } }  $check_inner_template_ = str_replace( '{{name}}' , $key , $check_inner_template_ ); $check_inner_template_ = str_replace( '{{active}}' , $active , $check_inner_template_ ); $A_check[] = $check_inner_template_; }  $parts_html = str_replace( '{{CHECK}}' , implode( '' , $A_check ) , $check_template ); foreach( (array)$H_array as $k => $v ) {  $parts_html = str_replace( '{{' . $k . '}}' , $v , $parts_html ); } } $A_del_ph = array ( '{{label}}' , '{{id}}' , '{{name}}' , '{{value}}' , '{{required}}' , '{{ph}}' , '{{other}}' , '{{active}}' , '{{note}}' , '{{key}}' , '{{val}}' , '{{RADIO}}' , '{{CHECK}}' , '{{OPTION}}' , );   if(! $no_del ) $parts_html = str_replace( $A_del_ph , '' , $parts_html );  $parts_html = str_replace( '{{note}}' , '' , $parts_html );  if( $echo ) { echo $parts_html; }  else { return $parts_html; } }  function SET_CONTENT( $tran_key = 'mhs-common_content' , $index = null , $string = null ) { if(! $index or ! $tran_key ) return; global $JP;  $H_content = $JP->GET_TRANSIENT( $tran_key );  $H_content[ $index ] = $string;  return $JP->SET_TRANSIENT( $tran_key , $H_content , 86400 ); }  function GET_CONTENT( $tran_key = 'mhs-common_content' , $index = null , $mode = 1 , $H_args = array() ) { if(! $index or ! $tran_key ) return;  $mhs_Transient = new mhs_Transient();    $H_content = $mhs_Transient->GET_TRANSIENT( $tran_key );   if( $index == 'TailwindCSS' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->Tailwind( $tran_key , $index , $H_args ); } $Tailwind_array = $mhs_Transient->GET_TRANSIENT( 'Tailwind_cnt' ); $Tailwind_cnt = isset( $Tailwind_array[ 'cnt' ] ) ? $Tailwind_array[ 'cnt' ] : null; $time = isset( $Tailwind_array[ 'time' ] ) ? $Tailwind_array[ 'time' ] : null;  if(! $Tailwind_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Tailwind_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Tailwind_cnt' , array( 'cnt' => $Tailwind_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'Axios' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->Axios( $tran_key , $index , $H_args ); } $Axios_array = $mhs_Transient->GET_TRANSIENT( 'Axios_cnt' ); $Axios_cnt = isset( $Axios_array[ 'cnt' ] ) ? $Axios_array[ 'cnt' ] : null; $time = isset( $Axios_array[ 'time' ] ) ? $Axios_array[ 'time' ] : null;  if(! $Axios_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Axios_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Axios_cnt' , array( 'cnt' => $Axios_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'React' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->React( $tran_key , $index , $H_args ); } $React_array = $mhs_Transient->GET_TRANSIENT( 'React_cnt' ); $React_cnt = isset( $React_array[ 'cnt' ] ) ? $React_array[ 'cnt' ] : null; $time = isset( $React_array[ 'time' ] ) ? $React_array[ 'time' ] : null;  if(! $React_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $React_cnt++;  $mhs_Transient->SET_TRANSIENT( 'React_cnt' , array( 'cnt' => $React_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'Vuetify' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->Vuetify( $tran_key , $index , $H_args ); } $Vuetify_array = $mhs_Transient->GET_TRANSIENT( 'Vuetify_cnt' ); $Vuetify_cnt = isset( $Vuetify_array[ 'cnt' ] ) ? $Vuetify_array[ 'cnt' ] : null; $time = isset( $Vuetify_array[ 'time' ] ) ? $Vuetify_array[ 'time' ] : null;  if(! $Vuetify_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Vuetify_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Vuetify_cnt' , array( 'cnt' => $Vuetify_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'UIKit' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->UIKit( $tran_key , $index , $H_args ); } $UIKit_array = $mhs_Transient->GET_TRANSIENT( 'UIKit_cnt' ); $UIKit_cnt = isset( $UIKit_array[ 'cnt' ] ) ? $UIKit_array[ 'cnt' ] : null; $time = isset( $UIKit_array[ 'time' ] ) ? $UIKit_array[ 'time' ] : null;  if(! $UIKit_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $UIKit_cnt++;  $mhs_Transient->SET_TRANSIENT( 'UIKit_cnt' , array( 'cnt' => $UIKit_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'Semantic UI' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->SEMANTIC_UI( $tran_key , $index , $H_args ); } $Semantic_UI_array = $mhs_Transient->GET_TRANSIENT( 'Semantic_UI_cnt' ); $Semantic_UI_cnt = isset( $Semantic_UI_array[ 'cnt' ] ) ? $Semantic_UI_array[ 'cnt' ] : null; $time = isset( $Semantic_UI_array[ 'time' ] ) ? $Semantic_UI_array[ 'time' ] : null;  if(! $Semantic_UI_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Semantic_UI_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Semantic_UI_cnt' , array( 'cnt' => $Semantic_UI_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'Semantic UI No Jquery' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->SEMANTIC_UI( $tran_key , $index , $H_args ); } $Semantic_UINJQ_array = $mhs_Transient->GET_TRANSIENT( 'Semantic_UINJQ_cnt' ); $Semantic_UINJQ_cnt = isset( $Semantic_UINJQ_array[ 'cnt' ] ) ? $Semantic_UINJQ_array[ 'cnt' ] : null; $time = isset( $Semantic_UINJQ_array[ 'time' ] ) ? $Semantic_UINJQ_array[ 'time' ] : null;  if(! $Semantic_UINJQ_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Semantic_UINJQ_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Semantic_UINJQ_cnt' , array( 'cnt' => $Semantic_UINJQ_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'jquery' or $index == 'Jquery' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->JQUERY( $tran_key , $index , $H_args ); } $jquery_array = $mhs_Transient->GET_TRANSIENT( 'jquery_cnt' ); $jquery_cnt = isset( $jquery_array[ 'cnt' ] ) ? $jquery_array[ 'cnt' ] : null; $time = isset( $jquery_array[ 'time' ] ) ? $jquery_array[ 'time' ] : null;  if(! $jquery_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $jquery_cnt++;  $mhs_Transient->SET_TRANSIENT( 'jquery_cnt' , array( 'cnt' => $jquery_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'Dashboard Style' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->DASHBOARD_STYLE(); } $Dashboard_Style_array = $mhs_Transient->GET_TRANSIENT( 'Dashboard_Style_cnt' ); $Dashboard_Style_cnt = isset( $Dashboard_Style_array[ 'cnt' ] ) ? $Dashboard_Style_array[ 'cnt' ] : null; $time = isset( $Dashboard_Style_array[ 'time' ] ) ? $Dashboard_Style_array[ 'time' ] : null;  if(! $Dashboard_Style_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $Dashboard_Style_cnt++;  $mhs_Transient->SET_TRANSIENT( 'Dashboard_Style_cnt' , array( 'cnt' => $Dashboard_Style_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'TutorialStyle' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->TUTORIAL_STYLE(); } $TutorialStyle_array = $mhs_Transient->GET_TRANSIENT( 'TutorialStyle_cnt' ); $TutorialStyle_cnt = isset( $TutorialStyle_array[ 'cnt' ] ) ? $TutorialStyle_array[ 'cnt' ] : null; $time = isset( $TutorialStyle_array[ 'time' ] ) ? $TutorialStyle_array[ 'time' ] : null;  if( ! $TutorialStyle_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $TutorialStyle_cnt++;  $mhs_Transient->SET_TRANSIENT( 'TutorialStyle_cnt' , array( 'cnt' => $TutorialStyle_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'DataTables' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->DATATABLES(); } $DataTables_array = $mhs_Transient->GET_TRANSIENT( 'DataTables_cnt' ); $DataTables_cnt = isset( $DataTables_array[ 'cnt' ] ) ? $DataTables_array[ 'cnt' ] : null; $time = isset( $DataTables_array[ 'time' ] ) ? $DataTables_array[ 'time' ] : null;  if( ! $DataTables_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $DataTables_cnt++;  $mhs_Transient->SET_TRANSIENT( 'DataTables_cnt' , array( 'cnt' => $DataTables_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'jquery_cookie' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->JQUERY_COOKIE(); } $JqueryCookie_array = $mhs_Transient->GET_TRANSIENT( 'JqueryCookie_cnt' ); $JqueryCookie_cnt = isset( $JqueryCookie_array[ 'cnt' ] ) ? $JqueryCookie_array[ 'cnt' ] : null; $time = isset( $JqueryCookie_array[ 'time' ] ) ? $JqueryCookie_array[ 'time' ] : null;  if( ! $JqueryCookie_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $JqueryCookie_cnt++;  $mhs_Transient->SET_TRANSIENT( 'JqueryCookie_cnt' , array( 'cnt' => $JqueryCookie_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  else if( $index == 'anime.js' or $index == 'Anime.js' ) {  if(! isset( $H_content[ $index ] ) ) {  $H_content[ $index ] = $this->ANIMEJS(); } $AnimeJS_array = $mhs_Transient->GET_TRANSIENT( 'AnimeJS_cnt' ); $AnimeJS_cnt = isset( $AnimeJS_array[ 'cnt' ] ) ? $AnimeJS_array[ 'cnt' ] : null; $time = isset( $AnimeJS_array[ 'time' ] ) ? $AnimeJS_array[ 'time' ] : null;  if( ! $AnimeJS_cnt or date_i18n( 'U' ) - $time >= 1 ) {  $AnimeJS_cnt++;  $mhs_Transient->SET_TRANSIENT( 'AnimeJS_cnt' , array( 'cnt' => $AnimeJS_cnt , 'time' => date_i18n( 'U' ) ) , 10 ); }  else return; }  if( $mode ) { echo $H_content[ $index ]; return $index; }  else {  return $H_content[ $index ]; } }  function Axios( $tran_key = 'mhs-Axios' , $index = 'Axios' , $H_args = array() ) { $content = <<< EOM
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function React( $tran_key = 'mhs-React' , $index = 'React' , $H_args = array() ) { $content = <<< EOM
<!-- ReactとReactDOMのCDN -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/react/17.0.2/umd/react.development.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/react-dom/17.0.2/umd/react-dom.development.js"></script>

<!-- Material-UIのCDN -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/material-ui/4.12.3/umd/material-ui.production.min.js"></script>

<!-- BabelのCDN -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/babel-standalone/6.26.0/babel.min.js"></script>

<!-- Axios -->
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function Vuetify( $tran_key = 'mhs-Vuetify' , $index = 'Vuetify' , $H_args = array() ) { $content = <<< EOM
<link href="https://cdn.jsdelivr.net/npm/vuetify@3.1.0/dist/vuetify.min.css" rel="stylesheet">
<link href="https://cdn.jsdelivr.net/npm/@mdi/font@6.x/css/materialdesignicons.min.css" rel="stylesheet">
<!-- SFCの場合はglobalを使う -->
<script src="https://cdn.jsdelivr.net/npm/vue@3.2.31/dist/vue.global.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vuetify@3.1.0/dist/vuetify.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function Tailwind( $tran_key = 'mhs-TailwindCSS' , $index = 'TailwindCSS' , $H_args = array() ) { $content = <<< EOM
<link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css" rel="stylesheet">

EOM;
   $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function UIKit( $tran_key = 'mhs-UIKit' , $index = 'UIKit' , $H_args = array() ) {  $mhs_Minifier = new mhs_Minifier(); $content = <<< EOM
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.6.19/css/uikit.min.css" integrity="sha512-tqUe/cUIyI7xlLJAcByGP8PnxwR6z2skDfKp8/DSGpkxBKWXTQl/FI6Kdkjtuqz0/V71Xso5OtXoB27wTxw44A==" crossorigin="anonymous" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.6.19/js/uikit.min.js" integrity="sha512-vPapOV7xcMVzJ8BlgBp/nwk/2o1t4Ak5m2ecfrN1ahLjIJALpdo8fLNuStqsgw83RZupR/nIagnx291PGslB0g==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.6.19/js/uikit-icons.min.js" integrity="sha512-zQkK/xFcaQe8+x9k+vRJjInWbe6GLQ+eHDZNjiIvbuozOIImUL/oApUbwkwMrGnRC4JQeYibka1IXLR2RHD6wQ==" crossorigin="anonymous"></script>

<style>
{{style}}
</style>

EOM;
 $style = <<< EOM
/* 管理画面系 */
body.wp-admin
{
	background-color: #f1f1f1 !important;
}
body.wp-admin a
{
	color: #2271b1;
}
body.wp-admin h2
{
	font-size: 1.3em;
	font-weight: 600;
}
body.wp-admin h3
{
	font-size: 1em;
	font-weight: 600;
}
/*---------------------------------------------------------
メッセージ
---------------------------------------------------------*/
.uk-alert .header
{
    font-weight: 700;
	margin-bottom: 1em;
}
.uk-alert.mhs-notice-default
{
    color: #0e566c;
    font-weight: normal;
    background-color: #f8ffff;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px rgb(34 36 38 / 22%) inset, 0 0 0 0 transparent;
}
.uk-alert.mhs-notice-success
{
    color: #1a531b;
    font-weight: normal;
    background-color: #fcfff5;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px #a3c293 inset, 0 0 0 0 transparent;
}
.uk-alert.mhs-notice-primary
{
    color: #2185d0;
    font-weight: normal;
    background-color: #dff0ff;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px #2185d0 inset, 0 0 0 0 transparent;
}
.uk-alert.mhs-notice-negative
{
    color: #912d2b;
    font-weight: normal;
    background-color: #fff6f6;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px #e0b4b4 inset, 0 0 0 0 transparent;
}
.uk-alert.mhs-notice-warning
{
    color: #f2711c;
    font-weight: normal;
    background-color: #ffedde;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px #f2711c inset, 0 0 0 0 transparent;
}
/*---------------------------------------------------------
画像
---------------------------------------------------------*/
.mhs-object-fit
{
	object-fit: cover;
}
/*---------------------------------------------------------
Flexbox
---------------------------------------------------------*/
/* 垂直揃えセンター */
.mhs-tate-center
{
	align-self: center;
}
/* 水平揃えセンター */
.mhs-yoko-center
{
	justify-self: center;
}
/*---------------------------------------------------------
ボタン
---------------------------------------------------------*/
.uk-button { border-radius: 4px; }

/* グリーン */
.uk-button-green
{
    background-color: #21ba45;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-green:focus, .uk-button-green:hover
{
    background-color: #16ab39;
    color: #fff;
}
/* オレンジ */
.uk-button-orange
{
    background-color: #f2711c;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-orange:focus, .uk-button-orange:hover
{
    background-color: #f26202;
    color: #fff;
}
/* イエロー */
.uk-button-yellow
{
    background-color: #fbbd08;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-yellow:focus, .uk-button-yellow:hover
{
    background-color: #eaae00;
    color: #fff;
}
/* ピンク */
.uk-button-pink
{
    background-color: #e03997;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-pink:focus, .uk-button-pink:hover
{
    background-color: #e61a8d;
    color: #fff;
}
/* グレー */
.uk-button-gray
{
    background-color: #e0e1e2;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-gray:focus, .uk-button-pink:hover
{
    background-color: #cacbcd;
    color: #fff;
}
/* ブラック */
.uk-button-black
{
    background-color: #1b1c1d;
    color: #fff;
    border: 1px solid transparent;
}
.uk-button-black:focus, .uk-button-pink:hover
{
    background-color: #27292a;
    color: #fff;
}
/*---------------------------------------------------------
テキストシャドウ
---------------------------------------------------------*/
/* ホワイトシャドー */
.mhs-text-shadow-white01
{
	text-shadow: 
	0px 0px 2px rgb(255 255 255) ,
	0px 0px 3px rgb(255 255 255);
}
.mhs-text-shadow-white02
{
	text-shadow: 
	0px 0px 2px rgb(255 255 255) ,
	1px 1px 2px rgb(255 255 255) ,
	0px 0px 7px rgb(255 255 255);
}
/* 黒字シャドー */
.mhs-text-shadow-black01
{
	text-shadow: 
	0px 0px 2px rgb(0 0 0) ,
	0px 0px 3px rgb(0 0 0);
}
.mhs-text-shadow-black02
{
	text-shadow: 
	0px 0px 2px rgb(0 0 0) ,
	1px 1px 2px rgb(0 0 0) ,
	0px 0px 7px rgb(0 0 0);
}
/*---------------------------------------------------------
フォントサイズ
---------------------------------------------------------*/
.mhs-font-size10 { font-size: 10px !important; }
.mhs-font-size11 { font-size: 11px !important; }
.mhs-font-size12 { font-size: 12px !important; }
.mhs-font-size13 { font-size: 13px !important; }
.mhs-font-size14 { font-size: 14px !important; }
.mhs-font-size15 { font-size: 15px !important; }
.mhs-font-size16 { font-size: 16px !important; }
.mhs-font-size17 { font-size: 17px !important; }
.mhs-font-size18 { font-size: 18px !important; }
.mhs-font-size19 { font-size: 19px !important; }
.mhs-font-size20 { font-size: 20px !important; }
.mhs-font-size21 { font-size: 21px !important; }
.mhs-font-size22 { font-size: 22px !important; }
.mhs-font-size23 { font-size: 23px !important; }
.mhs-font-size24 { font-size: 24px !important; }
.mhs-font-size25 { font-size: 25px !important; }
.mhs-font-size26 { font-size: 26px !important; }
.mhs-font-size27 { font-size: 27px !important; }
.mhs-font-size28 { font-size: 28px !important; }
.mhs-font-size29 { font-size: 29px !important; }
.mhs-font-size30 { font-size: 30px !important; }
.mhs-font-size31 { font-size: 31px !important; }
.mhs-font-size32 { font-size: 32px !important; }
/*---------------------------------------------------------
マージン
---------------------------------------------------------*/
.mhs-mg-top1 { margin-top: 1px !important; }
.mhs-mg-top2 { margin-top: 2px !important; }
.mhs-mg-top3 { margin-top: 3px !important; }
.mhs-mg-top4 { margin-top: 4px !important; }
.mhs-mg-top5 { margin-top: 5px !important; }
.mhs-mg-top6 { margin-top: 6px !important; }
.mhs-mg-top7 { margin-top: 7px !important; }
.mhs-mg-top8 { margin-top: 8px !important; }
.mhs-mg-top9 { margin-top: 9px !important; }
.mhs-mg-top10 { margin-top: 10px !important; }
.mhs-mg-top11 { margin-top: 11px !important; }
.mhs-mg-top12 { margin-top: 12px !important; }
.mhs-mg-top13 { margin-top: 13px !important; }
.mhs-mg-top14 { margin-top: 14px !important; }
.mhs-mg-top15 { margin-top: 15px !important; }
.mhs-mg-top16 { margin-top: 16px !important; }
.mhs-mg-top17 { margin-top: 17px !important; }
.mhs-mg-top18 { margin-top: 18px !important; }
.mhs-mg-top19 { margin-top: 19px !important; }
.mhs-mg-top20 { margin-top: 20px !important; }
.mhs-mg-top21 { margin-top: 21px !important; }
.mhs-mg-top22 { margin-top: 22px !important; }
.mhs-mg-top23 { margin-top: 23px !important; }
.mhs-mg-top24 { margin-top: 24px !important; }
.mhs-mg-top25 { margin-top: 25px !important; }
.mhs-mg-top26 { margin-top: 26px !important; }
.mhs-mg-top27 { margin-top: 27px !important; }
.mhs-mg-top28 { margin-top: 28px !important; }
.mhs-mg-top29 { margin-top: 29px !important; }
.mhs-mg-top30 { margin-top: 30px !important; }
.mhs-mg-top31 { margin-top: 31px !important; }
.mhs-mg-top32 { margin-top: 32px !important; }

.mhs-mg-bottom1 { margin-bottom: 1px !important; }
.mhs-mg-bottom2 { margin-bottom: 2px !important; }
.mhs-mg-bottom3 { margin-bottom: 3px !important; }
.mhs-mg-bottom4 { margin-bottom: 4px !important; }
.mhs-mg-bottom5 { margin-bottom: 5px !important; }
.mhs-mg-bottom6 { margin-bottom: 6px !important; }
.mhs-mg-bottom7 { margin-bottom: 7px !important; }
.mhs-mg-bottom8 { margin-bottom: 8px !important; }
.mhs-mg-bottom9 { margin-bottom: 9px !important; }
.mhs-mg-bottom10 { margin-bottom: 10px !important; }
.mhs-mg-bottom11 { margin-bottom: 11px !important; }
.mhs-mg-bottom12 { margin-bottom: 12px !important; }
.mhs-mg-bottom13 { margin-bottom: 13px !important; }
.mhs-mg-bottom14 { margin-bottom: 14px !important; }
.mhs-mg-bottom15 { margin-bottom: 15px !important; }
.mhs-mg-bottom16 { margin-bottom: 16px !important; }
.mhs-mg-bottom17 { margin-bottom: 17px !important; }
.mhs-mg-bottom18 { margin-bottom: 18px !important; }
.mhs-mg-bottom19 { margin-bottom: 19px !important; }
.mhs-mg-bottom20 { margin-bottom: 20px !important; }
.mhs-mg-bottom21 { margin-bottom: 21px !important; }
.mhs-mg-bottom22 { margin-bottom: 22px !important; }
.mhs-mg-bottom23 { margin-bottom: 23px !important; }
.mhs-mg-bottom24 { margin-bottom: 24px !important; }
.mhs-mg-bottom25 { margin-bottom: 25px !important; }
.mhs-mg-bottom26 { margin-bottom: 26px !important; }
.mhs-mg-bottom27 { margin-bottom: 27px !important; }
.mhs-mg-bottom28 { margin-bottom: 28px !important; }
.mhs-mg-bottom29 { margin-bottom: 29px !important; }
.mhs-mg-bottom30 { margin-bottom: 30px !important; }
.mhs-mg-bottom31 { margin-bottom: 31px !important; }
.mhs-mg-bottom32 { margin-bottom: 32px !important; }

.mhs-mg-left1 { margin-left: 1px !important; }
.mhs-mg-left2 { margin-left: 2px !important; }
.mhs-mg-left3 { margin-left: 3px !important; }
.mhs-mg-left4 { margin-left: 4px !important; }
.mhs-mg-left5 { margin-left: 5px !important; }
.mhs-mg-left6 { margin-left: 6px !important; }
.mhs-mg-left7 { margin-left: 7px !important; }
.mhs-mg-left8 { margin-left: 8px !important; }
.mhs-mg-left9 { margin-left: 9px !important; }
.mhs-mg-left10 { margin-left: 10px !important; }
.mhs-mg-left11 { margin-left: 11px !important; }
.mhs-mg-left12 { margin-left: 12px !important; }
.mhs-mg-left13 { margin-left: 13px !important; }
.mhs-mg-left14 { margin-left: 14px !important; }
.mhs-mg-left15 { margin-left: 15px !important; }
.mhs-mg-left16 { margin-left: 16px !important; }
.mhs-mg-left17 { margin-left: 17px !important; }
.mhs-mg-left18 { margin-left: 18px !important; }
.mhs-mg-left19 { margin-left: 19px !important; }
.mhs-mg-left20 { margin-left: 20px !important; }
.mhs-mg-left21 { margin-left: 21px !important; }
.mhs-mg-left22 { margin-left: 22px !important; }
.mhs-mg-left23 { margin-left: 23px !important; }
.mhs-mg-left24 { margin-left: 24px !important; }
.mhs-mg-left25 { margin-left: 25px !important; }
.mhs-mg-left26 { margin-left: 26px !important; }
.mhs-mg-left27 { margin-left: 27px !important; }
.mhs-mg-left28 { margin-left: 28px !important; }
.mhs-mg-left29 { margin-left: 29px !important; }
.mhs-mg-left30 { margin-left: 30px !important; }
.mhs-mg-left31 { margin-left: 31px !important; }
.mhs-mg-left32 { margin-left: 32px !important; }

.mhs-mg-right1 { margin-right: 1px !important; }
.mhs-mg-right2 { margin-right: 2px !important; }
.mhs-mg-right3 { margin-right: 3px !important; }
.mhs-mg-right4 { margin-right: 4px !important; }
.mhs-mg-right5 { margin-right: 5px !important; }
.mhs-mg-right6 { margin-right: 6px !important; }
.mhs-mg-right7 { margin-right: 7px !important; }
.mhs-mg-right8 { margin-right: 8px !important; }
.mhs-mg-right9 { margin-right: 9px !important; }
.mhs-mg-right10 { margin-right: 10px !important; }
.mhs-mg-right11 { margin-right: 11px !important; }
.mhs-mg-right12 { margin-right: 12px !important; }
.mhs-mg-right13 { margin-right: 13px !important; }
.mhs-mg-right14 { margin-right: 14px !important; }
.mhs-mg-right15 { margin-right: 15px !important; }
.mhs-mg-right16 { margin-right: 16px !important; }
.mhs-mg-right17 { margin-right: 17px !important; }
.mhs-mg-right18 { margin-right: 18px !important; }
.mhs-mg-right19 { margin-right: 19px !important; }
.mhs-mg-right20 { margin-right: 20px !important; }
.mhs-mg-right21 { margin-right: 21px !important; }
.mhs-mg-right22 { margin-right: 22px !important; }
.mhs-mg-right23 { margin-right: 23px !important; }
.mhs-mg-right24 { margin-right: 24px !important; }
.mhs-mg-right25 { margin-right: 25px !important; }
.mhs-mg-right26 { margin-right: 26px !important; }
.mhs-mg-right27 { margin-right: 27px !important; }
.mhs-mg-right28 { margin-right: 28px !important; }
.mhs-mg-right29 { margin-right: 29px !important; }
.mhs-mg-right30 { margin-right: 30px !important; }
.mhs-mg-right31 { margin-right: 31px !important; }
.mhs-mg-right32 { margin-right: 32px !important; }

.mhs-mg0 { margin: 0 !important; }

@media (max-width: 640px)
{
	.mhs-mg0\@s
	{
		margin: 0;
	}
}
@media (max-width: 960px)
{
	.mhs-mg0\@m
	{
		margin: 0;
	}
}
@media (max-width: 1200px)
{
	.mhs-mg0\@l
	{
		margin: 0;
	}
}
/*---------------------------------------------------------
パディング
---------------------------------------------------------*/
.mhs-pd-top1 { padding-top: 1px !important; }
.mhs-pd-top2 { padding-top: 2px !important; }
.mhs-pd-top3 { padding-top: 3px !important; }
.mhs-pd-top4 { padding-top: 4px !important; }
.mhs-pd-top5 { padding-top: 5px !important; }
.mhs-pd-top6 { padding-top: 6px !important; }
.mhs-pd-top7 { padding-top: 7px !important; }
.mhs-pd-top8 { padding-top: 8px !important; }
.mhs-pd-top9 { padding-top: 9px !important; }
.mhs-pd-top10 { padding-top: 10px !important; }
.mhs-pd-top11 { padding-top: 11px !important; }
.mhs-pd-top12 { padding-top: 12px !important; }
.mhs-pd-top13 { padding-top: 13px !important; }
.mhs-pd-top14 { padding-top: 14px !important; }
.mhs-pd-top15 { padding-top: 15px !important; }
.mhs-pd-top16 { padding-top: 16px !important; }
.mhs-pd-top17 { padding-top: 17px !important; }
.mhs-pd-top18 { padding-top: 18px !important; }
.mhs-pd-top19 { padding-top: 19px !important; }
.mhs-pd-top20 { padding-top: 20px !important; }
.mhs-pd-top21 { padding-top: 21px !important; }
.mhs-pd-top22 { padding-top: 22px !important; }
.mhs-pd-top23 { padding-top: 23px !important; }
.mhs-pd-top24 { padding-top: 24px !important; }
.mhs-pd-top25 { padding-top: 25px !important; }
.mhs-pd-top26 { padding-top: 26px !important; }
.mhs-pd-top27 { padding-top: 27px !important; }
.mhs-pd-top28 { padding-top: 28px !important; }
.mhs-pd-top29 { padding-top: 29px !important; }
.mhs-pd-top30 { padding-top: 30px !important; }

.mhs-pd-bottom1 { padding-bottom: 1px !important; }
.mhs-pd-bottom2 { padding-bottom: 2px !important; }
.mhs-pd-bottom3 { padding-bottom: 3px !important; }
.mhs-pd-bottom4 { padding-bottom: 4px !important; }
.mhs-pd-bottom5 { padding-bottom: 5px !important; }
.mhs-pd-bottom6 { padding-bottom: 6px !important; }
.mhs-pd-bottom7 { padding-bottom: 7px !important; }
.mhs-pd-bottom8 { padding-bottom: 8px !important; }
.mhs-pd-bottom9 { padding-bottom: 9px !important; }
.mhs-pd-bottom10 { padding-bottom: 10px !important; }
.mhs-pd-bottom11 { padding-bottom: 11px !important; }
.mhs-pd-bottom12 { padding-bottom: 12px !important; }
.mhs-pd-bottom13 { padding-bottom: 13px !important; }
.mhs-pd-bottom14 { padding-bottom: 14px !important; }
.mhs-pd-bottom15 { padding-bottom: 15px !important; }
.mhs-pd-bottom16 { padding-bottom: 16px !important; }
.mhs-pd-bottom17 { padding-bottom: 17px !important; }
.mhs-pd-bottom18 { padding-bottom: 18px !important; }
.mhs-pd-bottom19 { padding-bottom: 19px !important; }
.mhs-pd-bottom20 { padding-bottom: 20px !important; }
.mhs-pd-bottom21 { padding-bottom: 21px !important; }
.mhs-pd-bottom22 { padding-bottom: 22px !important; }
.mhs-pd-bottom23 { padding-bottom: 23px !important; }
.mhs-pd-bottom24 { padding-bottom: 24px !important; }
.mhs-pd-bottom25 { padding-bottom: 25px !important; }
.mhs-pd-bottom26 { padding-bottom: 26px !important; }
.mhs-pd-bottom27 { padding-bottom: 27px !important; }
.mhs-pd-bottom28 { padding-bottom: 28px !important; }
.mhs-pd-bottom29 { padding-bottom: 29px !important; }
.mhs-pd-bottom30 { padding-bottom: 30px !important; }

.mhs-pd-left1 { padding-left: 1px !important; }
.mhs-pd-left2 { padding-left: 2px !important; }
.mhs-pd-left3 { padding-left: 3px !important; }
.mhs-pd-left4 { padding-left: 4px !important; }
.mhs-pd-left5 { padding-left: 5px !important; }
.mhs-pd-left6 { padding-left: 6px !important; }
.mhs-pd-left7 { padding-left: 7px !important; }
.mhs-pd-left8 { padding-left: 8px !important; }
.mhs-pd-left9 { padding-left: 9px !important; }
.mhs-pd-left10 { padding-left: 10px !important; }
.mhs-pd-left11 { padding-left: 11px !important; }
.mhs-pd-left12 { padding-left: 12px !important; }
.mhs-pd-left13 { padding-left: 13px !important; }
.mhs-pd-left14 { padding-left: 14px !important; }
.mhs-pd-left15 { padding-left: 15px !important; }
.mhs-pd-left16 { padding-left: 16px !important; }
.mhs-pd-left17 { padding-left: 17px !important; }
.mhs-pd-left18 { padding-left: 18px !important; }
.mhs-pd-left19 { padding-left: 19px !important; }
.mhs-pd-left20 { padding-left: 20px !important; }
.mhs-pd-left21 { padding-left: 21px !important; }
.mhs-pd-left22 { padding-left: 22px !important; }
.mhs-pd-left23 { padding-left: 23px !important; }
.mhs-pd-left24 { padding-left: 24px !important; }
.mhs-pd-left25 { padding-left: 25px !important; }
.mhs-pd-left26 { padding-left: 26px !important; }
.mhs-pd-left27 { padding-left: 27px !important; }
.mhs-pd-left28 { padding-left: 28px !important; }
.mhs-pd-left29 { padding-left: 29px !important; }
.mhs-pd-left30 { padding-left: 30px !important; }

.mhs-pd-right1 { padding-right: 1px !important; }
.mhs-pd-right2 { padding-right: 2px !important; }
.mhs-pd-right3 { padding-right: 3px !important; }
.mhs-pd-right4 { padding-right: 4px !important; }
.mhs-pd-right5 { padding-right: 5px !important; }
.mhs-pd-right6 { padding-right: 6px !important; }
.mhs-pd-right7 { padding-right: 7px !important; }
.mhs-pd-right8 { padding-right: 8px !important; }
.mhs-pd-right9 { padding-right: 9px !important; }
.mhs-pd-right10 { padding-right: 10px !important; }
.mhs-pd-right11 { padding-right: 11px !important; }
.mhs-pd-right12 { padding-right: 12px !important; }
.mhs-pd-right13 { padding-right: 13px !important; }
.mhs-pd-right14 { padding-right: 14px !important; }
.mhs-pd-right15 { padding-right: 15px !important; }
.mhs-pd-right16 { padding-right: 16px !important; }
.mhs-pd-right17 { padding-right: 17px !important; }
.mhs-pd-right18 { padding-right: 18px !important; }
.mhs-pd-right19 { padding-right: 19px !important; }
.mhs-pd-right20 { padding-right: 20px !important; }
.mhs-pd-right21 { padding-right: 21px !important; }
.mhs-pd-right22 { padding-right: 22px !important; }
.mhs-pd-right23 { padding-right: 23px !important; }
.mhs-pd-right24 { padding-right: 24px !important; }
.mhs-pd-right25 { padding-right: 25px !important; }
.mhs-pd-right26 { padding-right: 26px !important; }
.mhs-pd-right27 { padding-right: 27px !important; }
.mhs-pd-right28 { padding-right: 28px !important; }
.mhs-pd-right29 { padding-right: 29px !important; }
.mhs-pd-right30 { padding-right: 30px !important; }

.mhs-pd0 { padding: 0 !important; }

@media (max-width: 640px)
{
	.mhs-pd0\@s
	{
		padding: 0;
	}
}
@media (max-width: 960px)
{
	.mhs-pd0\@m
	{
		padding: 0;
	}
}
@media (max-width: 1200px)
{
	.mhs-pd0\@l
	{
		padding: 0;
	}
}

EOM;
  $style = $mhs_Minifier->MINIFY_CSS( $style );  $content = str_replace( '{{style}}' , $style , $content );  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function JQUERY( $tran_key = 'mhs-jquery' , $index = 'jquery' , $H_args = array() ) {  global $wp_scripts;  $jq = $wp_scripts->query( 'jquery-core' ); $content = <<< EOM

<script src="https://ajax.googleapis.com/ajax/libs/jquery/{$jq->ver}/jquery.min.js"></script>


EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function SEMANTIC_UI( $tran_key = 'mhs-common_content' , $index = 'Semantic UI' , $H_args = array() ) { $content = <<< EOM
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css" />

EOM;
  if(! $H_args[ 'jquery' ] ) { $jquery_ver = $H_args[ 'jquery_ver' ];  if(! $jquery_ver ) { $content.= <<< EOM

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>


EOM;
 }  else { $content.= <<< EOM

<script src="https://ajax.googleapis.com/ajax/libs/jquery/{$jquery_ver}/jquery.min.js"></script>


EOM;
 } } $content.= <<< EOM

<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>

<script>
	jQuery( function( $ )
	{
		//アコーディオン有効化
		$( '.ui.accordion' ).accordion();

		//ラジオチェックボックス有効化
		$( '.ui.radio.checkbox' ).checkbox();

		//チェックボックス有効化
		$('.ui.checkbox').checkbox();

		//ドロップダウン有効化
		$( 'select.ui.dropdown , .ui.select.dropdown , .ui.selection.dropdown' ).dropdown();

		//タブ有効化
		$( '.ui.menu .item' ).tab();
	});
</script>

<style>
.wp-core-ui .ui.button
{
	height: auto !important;
}
body.wp-admin
{
	background-color: #f1f1f1 !important;
}
body , html
{
	height: auto;
}
</style>


EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function DASHBOARD_STYLE( $tran_key = 'mhs-common_content' , $index = 'Dashboard Style' ) {   $content = <<< EOM
<style>
html
{
	background-color: #f1f1f1;
}
body.wp-admin
{
	background-color: #f1f1f1 !important;
}
.feed-wrapper
{
	background-color: #f5f5f5;
	padding: 2rem;
	border: 1px solid #d1d1d1;
	border-radius: 4px;
}
.advanced-setting
{
	margin-bottom: 1rem;
}
/* タイトル */
.page-title
{
	background-color: #fff;
	color: #23282d;
	padding-top: 0 !important;
	padding-bottom: 0.2rem !important;
	padding-left: 0.5rem !important;
	padding-right: 0.2rem !important;

	margin-bottom: 2rem !important;
	border-left: 4px solid #03a9f4;

	box-shadow: 0 1px 1px 0 rgba(0,0,0,0.1);
}
/* カテゴリリストをスクロール表示 */
form .category-list
{
	background-color: #fff;
	width: 100%;
	height: 200px;
	overflow-x: hidden;
	overflow-y: scroll;
	padding: 1rem;
	border: 1px solid rgba(34,36,38,0.15);
	border-radius: .28571429rem;
}
form .category-list input[type=checkbox]
{
	vertical-align: middle !important;
}
.preview-link
{
	text-decoration: none;
	font-weight: bold;
}
.widefat .check-column
{
	padding-top: 9px;
	padding-bottom: 0;
	padding-left: 2px;
	padding-right: 0;
}
.wrap img
{
	max-width: 100%;
	height: auto;
}
</style>


EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function JQUERY_COOKIE( $tran_key = 'mhs-common_content' , $index = 'JqueryCookie Style' ) { $content = <<< EOM
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function ANIMEJS( $tran_key = 'mhs-anime.js' , $index = 'anime.js' ) { $content = <<< EOM
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/3.2.1/anime.min.js" integrity="sha512-z4OUqw38qNLpn1libAN9BsoDx6nbNFio5lA6CuTp9NlK83b89hgyCVq+N5FdBJptINztxn1Z3SaKSKUS5UP60Q==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function TUTORIAL_STYLE( $tran_key = 'mhs-common_content' , $index = 'TutorialStyle' ) { $admin_url = admin_url(); $content = <<< EOM
<style>
.ui.accordion .content p
{
	margin: 1rem 1rem 1rem 1rem;
}
.ui.accordion .content a
{
	text-decoration: none;
	font-weight: bold;
}
.ui.accordion .content table,
.ui.accordion .content td,
.ui.accordion .content th
{
	border: 1px solid #808080;
	border-collapse: collapse;
	padding: 0.2rem;
	margin: 0 auto;
}
.ui.button
{
	line-height: 0 !important;
}
button.quick-edit-btn
{
	font-size: 0.7rem;
}
.font-bold
{
	font-weight: bold;
}
.tb-tutorial img
{
	max-width: 100%;
	height: auto;
	border: 1px solid #9e9e9e;
}
</style>

<script>

	var quick_edit_url = '<?php echo $admin_url; ?>';

	jQuery( function( $ )
	{
		//チュートリアル内のpタグを処理する
		$( '.tb-tutorial p' ).each( function( i )
		{
			let str = $( this ).html();
			str = replacer( str , 'font-bold' );
			$( this ).html( str );
		});


		//アコーディオンを有効化
		$( '.ui.accordion' ).accordion();

		//クイックエディットサイドメニュー用HTML
		var quick_sidebar_html = '<div id="quick-editor-wrapper" class="ui sidebar very wide right inverted vertical menu" style="z-index: 1000000; width: 850px;">\
		<iframe id="quick-editor" src="" width="100%" height="99%"></iframe>\
	</div>';

		//bodyタグ直下に追加
		$( 'body' ).prepend( quick_sidebar_html );


		$( '.quick-edit-btn' ).on( 'click' , function()
		{
			var url = $( this ).attr( 'data-edit_url' );

			//iframeのURLをセット
			$( '#quick-editor' ).attr( 'src' , '' );
			$( '#quick-editor' ).attr( 'src' , quick_edit_url + '&' + url );

			//サイドバーを開く
			$( '#quick-editor-wrapper' ).sidebar( 'toggle' );

		});


//括弧を見つけたら置き換える
function replacer( str , class_name )
{
	replace		= '<span class="' + class_name + '">($1)</span>';
	str			= str.replace( /\((.*?)\)/g ,  replace );

	replace		= '<span class="' + class_name + '">[$1]</span>';
	str			= str.replace( /\[(.*?)\]/g ,  replace );

	replace		= '<span class="' + class_name + '">「$1」</span>';
	str			= str.replace( /\「(.*?)\」/g ,  replace );

	return str;
}

	});
</script>


EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function DATATABLES( $tran_key = 'mhs-common_content' , $index = 'DataTables' ) {  $content = <<< EOM
<!-- データテーブル関連 -->
<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/2.5.0/jszip.min.js"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/pdfmake.min.js"></script>
<script src="https://cdn.rawgit.com/bpampuch/pdfmake/0.1.18/build/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.print.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.colVis.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.0/js/tether.min.js"></script>

<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css" />
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.2.2/css/buttons.dataTables.min.css" />

<style>
.dataTables_length
{
	margin-bottom: 0;
	vertical-align: bottom;
}
.dataTables_filter
{
	margin-top: 10px !important;
	margin-right: 10px !important;
}
.dataTables_filter input
{
	height: 24px !important;
}
.alternate ,
.striped > tbody > :nth-child( odd ),
ul.striped > :nth-child( odd )
{
	background-color: #f1f1f1 !important;
}
.ui-buttonset .ui-button
{
	white-space: nowrap;
}
table.dataTable.cell-border tbody tr:first-child td
{
	border-top: none;
}
table.dataTable.cell-border tbody tr th:first-child ,
table.dataTable.cell-border tbody tr td:first-child
{
	border-left: 1px solid #ddd;
}
table.dataTable.cell-border tbody th ,
table.dataTable.cell-border tbody td
{
	border-top: 1px solid #ddd;
	border-right: 1px solid #ddd;
}
</style>

EOM;
  $this->SET_CONTENT( $tran_key , $index , $content ); return $content; }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } }