<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: システム情報を取得するクラス。
Version: 0.2
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2021-03-23
Changelog: 最大メモリサイズの不具合を修正
2021-03-23 0.2 最大メモリサイズの不具合を修正
2020-09-24 0.1 初リリース
*/
 class mhs_SystemInfo { function __construct() { }  function GET_SYSTEM_INFO() { $H_server = $this->GET_ENVIRONMENT_INFO(); $H_wp = $this->GET_WORDPRESS_INFO(); $H_theme = $this->GET_THEME_INFO(); $H_plugin = $this->GET_PLUGIN_INFO(); $outer_template = <<< EOM
	<table class="ui striped table">
		<tbody>
{{inner_template}}
		</tbody>
	</table>

EOM;
 $outer_template2 = <<< EOM
━━━━━━━━━━━━━━━━━━━━━━━
{{title}}
───────────────────────
{{inner_template}}


EOM;
 $inner_template = <<< EOM
			<tr>
				<td class="four wide">{{key}}</td>
				<td class="twelve wide">{{val}}</td>
			</tr>

EOM;
 $inner_template2 = <<< EOM
[ {{key}} ] : {{val}}

EOM;
  list( $server_info , $server_info_raw ) = $this->CHANGE_FORMAT( '■サーバー環境' , $H_server , $outer_template , $inner_template , $outer_template2 , $inner_template2 ); list( $wp_info , $wp_info_raw ) = $this->CHANGE_FORMAT( '■WordPress 環境' , $H_wp , $outer_template , $inner_template , $outer_template2 , $inner_template2 ); list( $theme_info , $theme_info_raw ) = $this->CHANGE_FORMAT( '■使用テーマ' , $H_theme , $outer_template , $inner_template , $outer_template2 , $inner_template2 ); list( $plugin_info , $plugin_info_raw ) = $this->CHANGE_FORMAT( '■使用プラグイン' , $H_plugin , $outer_template , $inner_template , $outer_template2 , $inner_template2 );  $raw_data = $server_info_raw . $wp_info_raw . $theme_info_raw . $plugin_info_raw . "━━━━━━━━━━━━━━━━━━━━━━━\n";  $raw_data = strip_tags( $raw_data ); return array( $raw_data , $server_info , $wp_info , $theme_info , $plugin_info ); }  function GET_ENVIRONMENT_INFO() { global $wpdb; return array ( 'OS' => PHP_OS , 'サーバー情報' => $_SERVER[ 'SERVER_SOFTWARE' ] , 'PHPのバージョン' => phpversion() , 'MySQLのバージョン' => ( ! empty( $wpdb->is_mysql ) ? $wpdb->db_version() : '' ) , '最大スクリプト実行時間' => ini_get( 'max_execution_time' ) . '秒', '最大投稿サイズ' => $this->convert( $this->let_to_num( ini_get( 'post_max_size' ) ) ) , '最大アップロードサイズ' => size_format( wp_max_upload_size() ) , '最大入力変数' => ini_get( 'max_input_vars' ) , 'gzip圧縮' => is_callable( 'gzopen' ) ? '有効' : '無効' , 'マルチバイト ライブラリ' => extension_loaded( 'mbstring' ) ? '有効' : '無効' , 'GD ライブラリ' => extension_loaded( 'gd' ) ? '有効' : '無効' , ); }  function GET_WORDPRESS_INFO() { global $wp_rewrite; $structure = $wp_rewrite->permalink_structure; if(! $structure ) $structure = 'Plain'; $timezone = get_option( 'timezone_string' ); if(! $timezone ) $timezone = get_option( 'gmt_offset' ); return array ( 'WordPressのバージョン' => get_bloginfo( 'version' ) , 'マルチサイト' => is_multisite() ? 'マルチサイト' : 'マルチサイトではない' ,  '最大メモリサイズ' => ini_get( 'memory_limit' ) , 'wp cron機能' => ! ( defined( 'DISABLE_WP_CRON' ) and DISABLE_WP_CRON ) ? '有効' : '無効' , '言語' => get_locale() , 'サイトURL' => get_site_url() , 'HOME URL' => get_home_url() , 'SSL化' => ( isset( $_SERVER['HTTPS'] ) and strtolower( $_SERVER['HTTPS'] ) == 'on' ) ? '有効' : '無効' , 'パーマリンク構造' => $structure , 'タイムゾーン' => $timezone , '管理者メール' => get_option( 'admin_email' ) , 'デバッグモード' => WP_DEBUG ? '有効' : '無効' , ); }  function GET_THEME_INFO() { $is_child_theme = is_child_theme(); $active_theme = wp_get_theme(); return array ( 'テーマ名' => $active_theme->get( 'Name' ) , 'バージョン' => $active_theme->get( 'Version' ) , 'テーマのURL' => $active_theme->get( 'ThemeURI' ) , 'テーマの概要' => $active_theme->get( 'Description' ) , '子テーマ' => $is_child_theme ? '子テーマである' : '子テーマではない' , '作者' => $active_theme->get( 'Author' ) , '作者のURL' => $active_theme->get( 'AuthorURI' ) , '親テーマ名' => $active_theme->parent()->Name , '親テーマのバージョン' => $active_theme->parent()->Version , '親テーマの作者' => $active_theme->parent()->Author , ); }  function GET_PLUGIN_INFO() { $active_plugins = get_option( 'active_plugins' ); $H_plugins = array_intersect_key( get_plugins() , array_flip( $active_plugins ) ); $H_plugin_list = array(); foreach( (array)$H_plugins as $path => $H_plugin ) { $plugin_name = $H_plugin[ 'Name' ] . ' - ' . $H_plugin[ 'Version' ]; $plugin_desc = $H_plugin[ 'Description' ] . "<br>\n" . 'by <a href="' . $H_plugin[ 'PluginURI' ] . '" target="_blank" rel="noopener nofollow">' . $H_plugin[ 'Author' ] . "</a>"; $H_plugin_list[ $plugin_name ] = $plugin_desc; } return $H_plugin_list; }  function CHANGE_FORMAT( $title , $H_arg , $outer_template , $inner_template , $outer_template2 , $inner_template2 ) { $A_temp = $A_temp2 = array(); foreach( (array)$H_arg as $key => $val ) { $inner_template_ = $inner_template; $inner_template2_ = $inner_template2; $inner_template_ = str_replace( '{{key}}' , $key , $inner_template_ ); $inner_template_ = str_replace( '{{val}}' , $val , $inner_template_ ); $inner_template2_ = str_replace( '{{key}}' , $key , $inner_template2_ ); $inner_template2_ = str_replace( '{{val}}' , $val , $inner_template2_ ); $A_temp[] = $inner_template_; $A_temp2[] = $inner_template2_; }  $html = str_replace( '{{inner_template}}' , implode( "\n" , $A_temp ) , $outer_template ); $text = str_replace( '{{inner_template}}' , implode( "\n" , $A_temp2 ) , $outer_template2 ); $html = str_replace( '{{title}}' , $title , $html ); $text = str_replace( '{{title}}' , $title , $text );  $html = preg_replace( '/\{\{.*?\}\}/' , '' , $html ); $text = preg_replace( '/\{\{.*?\}\}/' , '' , $text ); return array( $html , $text ); }  function convert( $size ) { $unit=array( 'B' , 'KB' , 'MB' , 'GB' , 'TB' , 'PB' ); return @round( $size / pow( 1024 , ( $i = floor( log( $size , 1024 ) ) ) ) , 2 ) . ' ' . $unit[ $i ]; }  function let_to_num( $size ) { $l = substr( $size, -1 ); $ret = substr( $size, 0, -1 ); switch( strtoupper( $l ) ) { case 'P': $ret *= 1024; case 'T': $ret *= 1024; case 'G': $ret *= 1024; case 'M': $ret *= 1024; case 'K': $ret *= 1024; } return $ret; }  function current_plugin_dir() { $basename = plugin_basename( __DIR__ ); return str_replace( 'includes', '', $basename ); }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 