<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: ページング系クラス。
Version: 0.1
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2021-03-28
Changelog: 初リリース
2021-03-28 0.1 初リリース
*/
 class mhs_Paging {    public $count = 50;  public $param = 'paged';  public $items = 2;  public $between_str = '…';  public $prev_str = '≪';  public $next_str = '≫';  public $ul_class = 'paging';  public $atag_remove_flg = false; public $paged = 1; public $current_page= null; public $url = ''; public $html = '';  public $outer_template = '<ul class="{{class}}">{{INNER_TEMPLATE}}</ul>'; public $inner_template = '<li>{{LINK}}</li>'; public $link_template = '<a href="{{url}}" data-paged="{{paged}}">{{paged}}</a>'; public $blank_template = '<span class="{{class}}">{{paged}}</span>';  function __construct() { }  function setPage( $sum = 0 ) {  $this->getPage();  $max_page = ceil( $sum / $this->count );   if( $max_page == 1 or 1 > $this->paged or ! is_numeric( $this->paged ) ) {  $this->paged = 1; }  if( $this->paged > $max_page ) $this->paged = $max_page; $A_cmp = []; for( $i = 1; $i <= $max_page; $i++ ) { $A_cmp[ $i ] = true; } $loop_count = 0; for( $i = ( $this->paged + 1 ); $i <= $max_page; $i++ ) { $loop_count++; if( $loop_count > $this->items and $i != $max_page ) { unset( $A_cmp[ $i ] ); } } $loop_count = 0; for( $i = ( $this->paged - 1 ); $i >= 1; $i-- ) { $loop_count++; if( $loop_count > $this->items and $i != 1 ) { unset( $A_cmp[ $i ] ); } } $A_res = []; foreach( $A_cmp as $key => $value ) { $A_res[] = $key; if( $max_page == $key ) break; if(! isset( $A_cmp[ ( $key + 1 ) ] ) and $this->between_str ) { $A_res[] = $this->between_str; } }  if(! $A_res ) return ''; $html = '';  $inner_template = $this->inner_template; $A_lists = []; if( $this->paged != 1 and $this->prev_str ) {  $inner_template = str_replace( '{{LINK}}' , $this->getQuery( ( $this->paged - 1 ) , $this->prev_str ) , $inner_template ); $A_lists[] = $inner_template; } foreach( $A_res as $key => $value ) {  $inner_template = $this->inner_template; if( is_numeric( $value ) ) {  $inner_template = str_replace( '{{LINK}}' , $this->getQuery( $value , $value ) , $inner_template ); $A_lists[] = $inner_template; } else {  $inner_template = str_replace( '{{LINK}}' , $this->getQuery( 0 , $value ) , $inner_template ); $A_lists[] = $inner_template; } } if( $this->paged != $max_page and $this->next_str ) {  $inner_template = $this->inner_template;  $inner_template = str_replace( '{{LINK}}' , $this->getQuery( ( $this->paged + 1 ) , $this->next_str ) , $inner_template ); $A_lists[] = $inner_template; }  $outer_template = $this->outer_template;  $outer_template = str_replace( '{{class}}' , $this->ul_class , $outer_template ); $outer_template = str_replace( '{{INNER_TEMPLATE}}' , implode( '' , $A_lists ) , $outer_template ); $this->html = $outer_template; }  function getPage() {  if( $this->atag_remove_flg ) return;  if( isset( $_GET[ $this->param ] ) and is_numeric( $_GET[ $this->param ] ) ) {  $this->paged = $_GET[ $this->param ]; }  else if( $this->current_page and is_numeric( $this->current_page ) ) { $this->paged = $this->current_page; }  else { $this->paged = 1; } }  function getQuery( $paged , $str ) { $url = $this->url; if(! $url ) {  $url = ( ( isset( $_SERVER[ 'HTTPS' ] ) ) ? 'https://' : 'http://' ) . $_SERVER[ 'HTTP_HOST' ] . $_SERVER[ 'REQUEST_URI' ];  if( isset( $_SERVER[ 'QUERY_STRING' ] ) ) {  $url = str_replace( '?' . $_SERVER[ 'QUERY_STRING' ] , '' , $url ); } } $html = '';  $blank_template = $this->blank_template;  if( $this->paged == $paged ) {  $blank_template = str_replace( '{{class}}' , 'active' , $blank_template ); $blank_template = str_replace( '{{paged}}' , $str , $blank_template ); return $blank_template; }  if( $paged == 0 ) {  $blank_template = str_replace( '{{class}}' , 'between' , $blank_template ); $blank_template = str_replace( '{{paged}}' , $str , $blank_template ); return $blank_template; }  if(! $this->atag_remove_flg ) { $A_query = [];  if( $_GET ) $A_query = $_GET;  $A_query[ $this->param ] = $paged;   $link_template = $this->link_template;  if( $A_query ) {  $link_template = str_replace( '{{url}}' , $url . '?' . http_build_query( $A_query ) , $link_template ); $link_template = str_replace( '{{paged}}' , $str , $link_template ); return $link_template; } else {  $link_template = str_replace( '{{url}}' , $url , $link_template ); $link_template = str_replace( '{{paged}}' , $str , $link_template ); return $link_template; } }  else { return '<span data-paged="' . $paged . '">' . $str . '</span>'; } }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } ?>