<?php
defined( 'ABSPATH' ) || exit; 
/*
Description: リモートアクセス系クラス。
Version: 0.3
Author: 阿修羅ワークス
Author URI: https://wp-plugin.info/
Last Update: 2023-04-05
Changelog: ROTATE_UAメソッドを追加
2023-04-05 0.3 ROTATE_UAメソッドを追加
2022-12-29 0.2 GET_REMOTE_SITE_CURLをヘッダー送信に対応
2022-03-10 0.1 初リリース
*/
 class mhs_Remote {   function GET_REMOTE_SITE_CURL( $url , $timeout = 15 , $ua = '' , $ref = null , $method = 'GET' , $H_param = array() , $H_cookie = array() , $H_header = array() , $option = 1 ) {   $curl = curl_init();  if( $method == 'GET' or $method == 'get' or ! $method ) { $method = 'GET';  $H_query = parse_url( $url , PHP_URL_QUERY );  if(! isset( $H_query[ 'query' ] ) and $H_param ) {  $query = http_build_query( $H_param , '' , '&' );  $url = $url . '?' . $query; } } else { $method = 'POST'; }  $ua = $this->ROTATE_UA( $ua );  $cookie_file_path = dirname( __FILE__ ) . '/cookie.php';  if(! file_exists( $cookie_file_path ) ) { touch( $cookie_file_path ); } curl_setopt( $curl , CURLOPT_URL , $url ); curl_setopt( $curl , CURLOPT_CUSTOMREQUEST , $method );   if( $method == 'POST' ) { curl_setopt( $curl , CURLOPT_POST , TRUE );  curl_setopt( $curl , CURLOPT_POSTFIELDS , $H_param );  } curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true );  curl_setopt( $curl , CURLOPT_HEADER , true );   curl_setopt( $curl , CURLOPT_FOLLOWLOCATION , true );  curl_setopt( $curl , CURLOPT_MAXREDIRS , 10 );   curl_setopt( $curl , CURLOPT_SSLVERSION , CURL_SSLVERSION_DEFAULT ); curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false );   curl_setopt( $curl , CURLOPT_REFERER , $ref );  curl_setopt( $curl , CURLOPT_USERAGENT, $ua );  curl_setopt( $curl , CURLOPT_TIMEOUT , $timeout );  curl_setopt( $curl , CURLOPT_HTTPHEADER , $H_header );  curl_setopt( $curl, CURLOPT_COOKIEJAR , $cookie_file_path );   if( $option ) { curl_setopt( $curl, CURLOPT_COOKIEFILE , $cookie_file_path );  }  $response = curl_exec( $curl );  $code = curl_getinfo( $curl , CURLINFO_HTTP_CODE );  $info = curl_getinfo( $curl );  $header_size = curl_getinfo( $curl , CURLINFO_HEADER_SIZE );  $header = substr( $response , 0 , $header_size );  $body = substr( $response , $header_size );  curl_close( $curl ); return array( $code , $header , $body , $info ); }  function GET_REMOTE_SITE( $url , $timeout = 15 , $ua = '' , $method = 'GET' , $H_param = array() , $H_cookie = array() , $H_others = array() ) { if(! $url ) { return false; }  $ua = $this->ROTATE_UA( $ua );  $method = strtoupper( $method );  $H_arg = array ( 'timeout' => $timeout, 'user-agent' => $ua , 'method' => $method , 'sslverify' => false , );  if( $H_param ) { $H_arg[ 'body' ] = $H_param; }  if( $H_cookie ) { $H_arg[ 'cookies' ] = $H_cookie; }  if( $H_others ) { $H_arg = array_merge( $H_arg , $H_others ); }  if( $method == 'POST' ) {  $response = wp_remote_post( $url , $H_arg ); }  else if( $method == 'GET' or $method == '' ) { $H_arg[ 'method' ] = 'GET'; $H_arg[ 'body' ] = null;  $H_query = parse_url( $url , PHP_URL_QUERY );  if(! isset( $H_query[ 'query' ] ) and $H_param ) {  $query = http_build_query( $H_param , '' , '&' );  $url = $url . '?' . $query; }  $response = wp_remote_get( $url , $H_arg ); }  $code = wp_remote_retrieve_response_code( $response );  return array( $code , $response ); }  function GET_REMOTE_COOKIE( $res ) {  if(! $res or is_object( $res ) ) { return; } $H_cookie = array();  foreach( $res[ 'cookies' ] as $cookie ) { $H_cookie[ $cookie->name ] = $cookie->value; } return $H_cookie; }  function ROTATE_UA( $UA , $transient_key = 'ua' , $cache_time = (60*60*24) ) { if(! $UA ) { return; } global $JP;  $H_ua = $JP->GET_TRANSIENT( $transient_key );  if(! $H_ua ) {  $A_ua = $JP->ARRAY_SEPARATOR( "\n" , $UA );  shuffle( $A_ua ); $H_ua[ 'ua' ] = $A_ua; $H_ua[ 'current' ] = 0; } $curr = $H_ua[ 'current' ];  if( isset( $H_ua[ 'current' ] ) and $H_ua[ 'ua' ][ $curr ] ) { $ua = $H_ua[ 'ua' ][ $curr ]; $H_ua[ 'current' ]++; }  else { $H_ua[ 'current' ] = 0; $ua = $H_ua[ 'ua' ][ 0 ]; }  $JP->SET_TRANSIENT( $transient_key , $H_ua , $cache_time , null , 1 ); return $ua; }  function DBT( $mode = 0 ) { if( $mode ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } else {  if( is_user_logged_in() ) { echo "<pre>"; print_r( debug_backtrace() ); echo "</pre>"; } } }  function DMPF( $data , $file_name = "test.txt" , $mode = 0 , $max_byte = 1048576 ) {  ob_start(); var_dump( $data ); $result = ob_get_contents(); ob_end_clean();  if( $mode ) { $fp = fopen( dirname(__FILE__) . "/$file_name" , "a" ); $result .= "\n"; }  else { $fp = fopen( dirname(__FILE__) . "/$file_name" , "w" ); }  fwrite( $fp , $result , $max_byte ); fclose( $fp ); }  function DMP( $value , $option = NULL ) {  if( $option == 1 ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } else if( $option == 2 ) {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } }  else {  if( is_user_logged_in() ) { echo "<pre>"; var_dump( $value ); echo "</pre>"; } } } } 