<?php
 if ( !class_exists('PucGitHubChecker_3_1', false) ): class PucGitHubChecker_3_1 extends PluginUpdateChecker_3_1 {  protected $userName;  protected $repositoryName;  protected $repositoryUrl;  protected $branch;  protected $accessToken; public function __construct( $repositoryUrl, $pluginFile, $branch = 'master', $checkPeriod = 12, $optionName = '', $muPluginFile = '' ) { $this->repositoryUrl = $repositoryUrl; $this->branch = empty($branch) ? 'master' : $branch; $path = @parse_url($repositoryUrl, PHP_URL_PATH); if ( preg_match('@^/?(?P<username>[^/]+?)/(?P<repository>[^/#?&]+?)/?$@', $path, $matches) ) { $this->userName = $matches['username']; $this->repositoryName = $matches['repository']; } else { throw new InvalidArgumentException('Invalid GitHub repository URL: "' . $repositoryUrl . '"'); } parent::__construct($repositoryUrl, $pluginFile, '', $checkPeriod, $optionName, $muPluginFile); }  public function requestInfo($unusedQueryArgs = array()) { $info = new PluginInfo_3_1(); $info->filename = $this->pluginFile; $info->slug = $this->slug; $this->setInfoFromHeader($this->getPluginHeader(), $info);  $ref = $this->branch; if ( $this->branch === 'master' ) {  $release = $this->getLatestRelease(); if ( $release !== null ) { $ref = $release->tag_name; $info->version = ltrim($release->tag_name, 'v');  $info->last_updated = $release->created_at; $info->download_url = $release->zipball_url; if ( !empty($release->body) ) { $info->sections['changelog'] = $this->parseMarkdown($release->body); } if ( isset($release->assets[0]) ) { $info->downloaded = $release->assets[0]->download_count; } } else {  $tag = $this->getLatestTag(); if ( $tag !== null ) { $ref = $tag->name; $info->version = $tag->name; $info->download_url = $tag->zipball_url; } } } if ( empty($info->download_url) ) { $info->download_url = $this->buildArchiveDownloadUrl($ref); } else if ( !empty($this->accessToken) ) { $info->download_url = add_query_arg('access_token', $this->accessToken, $info->download_url); }   $mainPluginFile = basename($this->pluginFile); $remotePlugin = $this->getRemoteFile($mainPluginFile, $ref); if ( !empty($remotePlugin) ) { $remoteHeader = $this->getFileHeader($remotePlugin); $this->setInfoFromHeader($remoteHeader, $info); }   if ( $this->readmeTxtExistsLocally() ) { $this->setInfoFromRemoteReadme($ref, $info); }  if ( empty($info->sections['changelog']) ) { $info->sections['changelog'] = $this->getRemoteChangelog($ref); if ( empty($info->sections['changelog']) ) { $info->sections['changelog'] = __('There is no changelog available.', 'plugin-update-checker'); } } if ( empty($info->last_updated) ) {   $latestCommit = $this->getLatestCommit($mainPluginFile, $ref); if ( $latestCommit !== null ) { $info->last_updated = $latestCommit->commit->author->date; } } $info = apply_filters('puc_request_info_result-' . $this->slug, $info, null); return $info; }  protected function getLatestRelease() { $releases = $this->api('/repos/:user/:repo/releases'); if ( is_wp_error($releases) || !is_array($releases) || !isset($releases[0]) ) { return null; } $latestRelease = $releases[0]; return $latestRelease; }  protected function getLatestTag() { $tags = $this->api('/repos/:user/:repo/tags'); if ( is_wp_error($tags) || empty($tags) || !is_array($tags) ) { return null; } usort($tags, array($this, 'compareTagNames'));  return $tags[0]; }  protected function compareTagNames($tag1, $tag2) { if ( !isset($tag1->name) ) { return 1; } if ( !isset($tag2->name) ) { return -1; } return -version_compare($tag1->name, $tag2->name); }  protected function getLatestCommit($filename, $ref = 'master') { $commits = $this->api( '/repos/:user/:repo/commits', array( 'path' => $filename, 'sha' => $ref, ) ); if ( !is_wp_error($commits) && is_array($commits) && isset($commits[0]) ) { return $commits[0]; } return null; } protected function getRemoteChangelog($ref = '') { $filename = $this->getChangelogFilename(); if ( empty($filename) ) { return null; } $changelog = $this->getRemoteFile($filename, $ref); if ( $changelog === null ) { return null; } return $this->parseMarkdown($changelog); } protected function getChangelogFilename() { $pluginDirectory = dirname($this->pluginAbsolutePath); if ( empty($this->pluginAbsolutePath) || !is_dir($pluginDirectory) || ($pluginDirectory === '.') ) { return null; } $possibleNames = array('CHANGES.md', 'CHANGELOG.md', 'changes.md', 'changelog.md'); $files = scandir($pluginDirectory); $foundNames = array_intersect($possibleNames, $files); if ( !empty($foundNames) ) { return reset($foundNames); } return null; }  protected function parseMarkdown($markdown) { if ( !class_exists('Parsedown', false) ) { require_once(dirname(__FILE__) . '/vendor/Parsedown' . (version_compare(PHP_VERSION, '5.3.0', '>=') ? '' : 'Legacy') . '.php'); } $instance = Parsedown::instance(); return $instance->text($markdown); }  protected function api($url, $queryParams = array()) { $variables = array( 'user' => $this->userName, 'repo' => $this->repositoryName, ); foreach ($variables as $name => $value) { $url = str_replace('/:' . $name, '/' . urlencode($value), $url); } $url = 'https://api.github.com' . $url; if ( !empty($this->accessToken) ) { $queryParams['access_token'] = $this->accessToken; } if ( !empty($queryParams) ) { $url = add_query_arg($queryParams, $url); } $response = wp_remote_get($url, array('timeout' => 10 , 'sslverify' => false )); if ( is_wp_error($response) ) { return $response; } $code = wp_remote_retrieve_response_code($response); $body = wp_remote_retrieve_body($response); if ( $code === 200 ) { $document = json_decode($body); return $document; } return new WP_Error( 'puc-github-http-error', 'GitHub API error. HTTP status: ' . $code ); }  public function setAccessToken($accessToken) { $this->accessToken = $accessToken; }  protected function getRemoteFile($path, $ref = 'master') { $apiUrl = '/repos/:user/:repo/contents/' . $path; $response = $this->api($apiUrl, array('ref' => $ref)); if ( is_wp_error($response) || !isset($response->content) || ($response->encoding !== 'base64') ) { return null; } return base64_decode($response->content); }  protected function getFileHeader($content) { $headers = array( 'Name' => 'Plugin Name', 'PluginURI' => 'Plugin URI', 'Version' => 'Version', 'Description' => 'Description', 'Author' => 'Author', 'AuthorURI' => 'Author URI', 'TextDomain' => 'Text Domain', 'DomainPath' => 'Domain Path', 'Network' => 'Network',   'Tested WP' => 'Tested WP', 'Requires WP' => 'Requires WP', 'Tested up to' => 'Tested up to', 'Requires at least' => 'Requires at least', ); $content = str_replace("\r", "\n", $content);  $results = array(); foreach ($headers as $field => $name) { $success = preg_match('/^[ \t\/*#@]*' . preg_quote($name, '/') . ':(.*)$/mi', $content, $matches); if ( ($success === 1) && $matches[1] ) { $results[$field] = _cleanup_header_comment($matches[1]); } else { $results[$field] = ''; } } return $results; }  protected function setInfoFromHeader($fileHeader, $pluginInfo) { $headerToPropertyMap = array( 'Version' => 'version', 'Name' => 'name', 'PluginURI' => 'homepage', 'Author' => 'author', 'AuthorName' => 'author', 'AuthorURI' => 'author_homepage', 'Requires WP' => 'requires', 'Tested WP' => 'tested', 'Requires at least' => 'requires', 'Tested up to' => 'tested', ); foreach ($headerToPropertyMap as $headerName => $property) { if ( isset($fileHeader[$headerName]) && !empty($fileHeader[$headerName]) ) { $pluginInfo->$property = $fileHeader[$headerName]; } } if ( !empty($fileHeader['Description']) ) { $pluginInfo->sections['description'] = $fileHeader['Description']; } }  protected function setInfoFromRemoteReadme($ref, $pluginInfo) { $readmeTxt = $this->getRemoteFile('readme.txt', $ref); if ( empty($readmeTxt) ) { return; } $readme = $this->parseReadme($readmeTxt); if ( isset($readme['sections']) ) { $pluginInfo->sections = array_merge($pluginInfo->sections, $readme['sections']); } if ( !empty($readme['tested_up_to']) ) { $pluginInfo->tested = $readme['tested_up_to']; } if ( !empty($readme['requires_at_least']) ) { $pluginInfo->requires = $readme['requires_at_least']; } if ( isset($readme['upgrade_notice'], $readme['upgrade_notice'][$pluginInfo->version]) ) { $pluginInfo->upgrade_notice = $readme['upgrade_notice'][$pluginInfo->version]; } } protected function parseReadme($content) { if ( !class_exists('PucReadmeParser', false) ) { require_once(dirname(__FILE__) . '/vendor/readme-parser.php'); } $parser = new PucReadmeParser(); return $parser->parse_readme_contents($content); }  protected function readmeTxtExistsLocally() { $pluginDirectory = dirname($this->pluginAbsolutePath); if ( empty($this->pluginAbsolutePath) || !is_dir($pluginDirectory) || ($pluginDirectory === '.') ) { return false; } return is_file($pluginDirectory . '/readme.txt'); }  protected function buildArchiveDownloadUrl($ref = 'master') { $url = sprintf( 'https://api.github.com/repos/%1$s/%2$s/zipball/%3$s', urlencode($this->userName), urlencode($this->repositoryName), urlencode($ref) ); if ( !empty($this->accessToken) ) { $url = add_query_arg('access_token', $this->accessToken, $url); } return $url; } } endif;